PlayIt Live

User guide
Version 2.16
https://www.playitsoftware.com/Support


Installation

To install PlayIt Live, download the latest version from https://www.playitsoftware.com/Products/Live.
Once the download is complete, run the downloaded .exe file.
You will first be presented with the software licence agreement. Once you have read and agree to these terms, click I Agree.
Choose the components to install. Here you can select whether to install Start Menu shortcuts. No shortcuts will be created on the desktop. Click Next to continue.
Next, choose the location to install the software. By default, this is in Program Files, but can be changed to your preference. Click Install to begin the installation.
Tick Start PlayIt Live to launch PlayIt Live when you click Finish. If PlayIt Live does not start, go to the Start Menu and type PlayIt Live.

Microsoft Edge WebView2 Runtime requirement

As part of the installation, PlayIt Live will install the Microsoft Edge WebView2 runtime. This is required for embedded web browser features such as tutorial videos and the plugin gallery. The runtime is already installed as part of Windows 11, but will need to be downloaded and installed for Windows 10. Please note that these nonessential features are not supported in Windows 7.
If you need to install the WebView2 runtime manually, you can do so via this page: https://developer.microsoft.com/en-gb/microsoft-edge/webview2

The contents of Installation

Upgrading versions
Uninstallation


Upgrading versions

New versions of PlayIt Live are regularly available from https://www.playitsoftware.com . It is important to back up your data before you install any new versions. Data and logs for PlayIt Live are stored in the Windows 'ProgramData' folder.
By default, on Windows 8.1, 10 and 11 this is located at:
C:\ProgramData\PlayIt Live
To back up your data, simply copy this folder to an alternative location, such as an external hard drive.
When a new version is installed the data in the location above will not be removed.


Uninstallation

When installed, PlayIt Live will include an Uninstall shortcut in the Start Menu.
If you chose not to add Start Menu shortcuts the Uninstaller can be found at (by default):
C:\Program Files (x86)\PlayIt Live\uninstall.exe
Double-click the icon to start the uninstall process.
By default your database and settings will be retained when you uninstalled. You can choose whether PlayIt Live data is removed by ticking the Delete application database and settings checkbox.
Click Next.
Click Uninstall to remove PlayIt Live.


Getting Started

To get started with PlayIt Live, you must first log in to your PlayIt Software account, which is free to create. To do so, click on the Log In button on the main interface of the software. If you don't have an account yet, you can easily create one by clicking on the Register button or visiting the following website: https://www.playitsoftware.com/Account/Register.
In the event that your computer is not connected to the internet, you can activate offline mode within the software. This will allow you to use PlayIt Live without an internet connection.

The contents of Getting Started

Logging In
Activating Offline


Logging In

To get started with PlayIt Live, click on the Log In... button in the Get Started window. This will take you to a web browser where you will be prompted to log in using your PlayIt Software account.
To access PlayIt Live, enter your account email address and password, or log in using your Facebook account.
Once you are logged in, the main window will appear, allowing you to begin using the software.

The contents of Logging In

Enter registration details


Enter registration details

If you do not already have an account, click on the Register... button in the Get Started window. This will take you to a web browser where you will be prompted to register for your PlayIt Software account.
After clicking Register, you will be prompted to verify your email address. Please check your registered email account for an email from PlayIt Software with the subject "PlayIt Software: Please verify your email address...". To ensure that you receive this email, please add noreply@playitsoftware.com to your address book.
Once you have followed the verification link in the email, you will be logged in to PlayIt Live and the main window will be displayed.


Activating Offline

If the computer on which you have installed PlayIt Live is not connected to the internet is it possible to activate offline.
To activate PlayIt Live offline, follow these steps:
1. From the Get Started window, click Activate Offline...
2. In the Activate Offline window, you will need to enter your Licence Key. To generate a new licence, visit https://www.playitsoftware.com/Account/Licences/Generate. If you haven't already, you may be prompted to log in or create an account.
3. In the Generate New Licence section, select PlayIt Live and ensure that version 2.05+ (latest) is selected. Enter the Computer Name and Machine Code that you see on PlayIt Live and click Generate Licence Key.
4. Once the licence key is generated, make a note of it or download the licence file and select it within PlayIt Live. Note that licence keys start with the text "3*".
By following these steps, you can activate PlayIt Live offline without an internet connection.


The Main Window

When PlayIt Live first starts it will be presented in Live-Assist players mode. The player mode can be changed from File > Settings > Player Mode.

The contents of The Main Window

Live-Assist Mode
Decks Mode (Classic)
QuickCarts
Pre-Fade Listen Window
Track Play History Window
Log in to PlayIt Live


Live-Assist Mode

Menu

The top menu bar provides options to set up PlayIt Live.
The File menu contains:
Enable remote connections: Set up PlayIt Live to enable the built-in remote management server at allow remote connections for managing data and remote voice tracking.
Sync with a remote server: Set up PlayIt Live to connect to a remote management server such as PlayIt Manager or the built-in server in another PlayIt Live. See Synchronising Data .
Settings: Configure the user interface and audio devices.
Exit: Close PlayIt Live. A confirmation box will be shown.
The Manage menu contains:
Tracks: Manage track audio items. See Manage Tracks.
Track Groups: Manage track groups (like smart folders) containing tracks. See Manage Track Groups.
Logged Tracks: View recently played tracks for reporting purposes. See Logged Tracks.
Playout Policies: Manage rules to create a unified sound. See Manage Playout Policies.
Playout Pattern: Manage the pattern of track groups that will be used for playout. See Manage Playout Pattern.
Clocks: Manage hour templates used to generate the playout log. See Manage Clocks.
Clock Schedule: Manage clock hourly assignments used to generate the playout log. See Manage Clock Schedule.
Playout Log: Manage the overall, day-to-day output of your station. See Manage Playout Log.
Advert Campaigns: Manage advert campaigns for playing adverts (commercial spots). See Manage Advert Campaigns.
Advert Log: Manage the advert log, the log of adverts and when they will play. See Manage Advert Log.
Advert Play Report: Export a report of when adverts were played for affidavits. See Manage Advert Play Report.
Scheduled Events: Manage events that can be triggered to happen at a specific time or when PlayIt Live starts. See Manage Scheduled Events.
Priority Streams: Manage priority streams which can be used to override normal live-assist automation and bring in a live presenter/DJ via a remote stream. See Manage Priority Streams.
Users: Manage users who can log in to use the software. See Manage Users.
The Tools menu contains:
Missing Track File Analysis: Find and resolve tracks that reference files that have been moved or deleted. See Missing Track File Analysis
Duplicate Track File Analysis: Find and delete track files that have been added to PlayIt Live multiple times. See Duplicate Track File Analysis
Track Play Count Analysis: Used to determine the number of plays tracks have had during a date/time range. See Track Play Count Analysis
Database Clean-up: Used to clean up the database, deleting old playout log items and voice tracks. See Database Clean-up
Mixdown Playout Log: Mixdown a portion of the playout log to MP3 or WAV for later broadcast or review. See Mixdown Playout Log
Monitored Folder Status: View the status of your monitored folders and force a re-scan if necessary. See Monitored Folders Status
Loudness Analysis: PlayIt Live can analyse the tracks in the database so each track has the same loudness. See Loudness Analysis
Backup and Restore: Manually or automatically back up the database periodically. You can also restore the database to a previous backup. See Backup and Restore .
Auto Adjust: Automatically adjust segues and tempos and tracks in Live Assist mode. See Auto Adjust .
Internet Broadcast: Set up internet broadcast streams to stream your audio output to an internet streaming provider. See Internet Broadcast
Now Playing: Set up now playing metadata targets to send your current playing track information to a file or remote service. See Now Playing
The Plugins menu contains:
Plugin Manager: View the list of currently installed plugins and create new ones.
[Number of running plugins]
The Help menu contains:
Online Documentation: A link to the documentation page on the PlayIt Software website.
New to PlayIt Live? video: A video showing how to use the basic features of PlayIt Live.
Open Application Data Folder: Opens the PlayIt Live application data folder. Only perform this step if requested by PlayIt Software Support.
Open Sound Control Panel: Opens the Windows Sound Control Panel. Allows you to see and configure any attached audio devices.
Licence Information: View your currently applied licence information and allow you to update your licence.
Spec Check: Verify if your computer meets the minimum or recommended specifications to run PlayIt Live. See Spec Check Window.
About PlayIt Live: View that latest version and check for updates. See About PlayIt Live.
Top

Notification bar

2. Notification bar
The notification bar is used to provide important information to the user without disrupting their current activity. Warnings will be displayed here if there are any setup issues or a track fails to load.
Top

Players

The players at the top load tracks from the playout log in the expected order. Players can be assigned to individual sound cards so they can be used with different channels on a professional mixer.
Each player has three timers and three buttons.
The blue timer indicates the intro remaining of the loaded track.
The green timer indicates the elapsed time of the loaded track.
The red timer indicates the remaining time of the loaded track.
The green play button starts playing the track.
The orange pause button pauses the track. Pressing this button again resumes playout.
The silver eject button fades out and stops the player.
Top

Playout log

The playout log shows the upcoming items that are scheduled to take place. Typically these are tracks to be played, but can be break notes or fixed time markers. Each playout log item features (from left to right) the play time, icon, title, (tempo if adjusted), duration (or remaining time), segue toggle switch, edit and eject/delete button. A 'three-dots' ellipsis icon is used to show additional menu options.
Icons
The icon on the log item displays the type of the item:
- Track
- Voice Track
- Break Note
- Fixed Time Marker
- Currently playing item
- Past item that was played
- Past item that was not played
- Future item that will not be played due to fixed time marker
Icons and colours can also be customised based on the track group a track belongs in. It is possible to colour the entire row by changing this setting.
Current Item
The current item is indicated by the right arrow in a circle icon:
The current item is the currently playing or the next item to be played when playout resumes.
Adding tracks
To add a track to the playout log, drag and drop a track from the Track List to a position between existing tracks or between an empty 'drag tracks here' marker. If you dragged a track into a position soon to be played it will be loaded into one of the players in sequence.
Playing tracks
To play the track, click the Play button in the player at the top. When an item is playing it will be shown in green and the duration will display the remaining time for that item.
While a track is playing the progress bar will be displayed showing the current position in the track. To change the position, click the Seek checkbox to the left of the progress bar and then click the position in the progress bar to change the position. The Seek checkbox is there to prevent the position of the track from being accidentally changed whilst on air.
Navigating the playout log
It is possible to scroll up to past items to see what was played, or scroll down to see what is going to be played in the future. You can do this by scrolling with the mouse wheel or using the up and down arrows to the right of the playout log.
You can click the Home button to return to the current item. The Home button has two states, underlined and not-underlined. When the Home button is underlined the playout log will automatically scroll with the current item. If you manually scroll away from the current item, the Home button will no longer be underlined and the playout log will stop automatically scrolling. After 5 minutes of inactivity the playout log will return 'Home'.
The Go To Time button can be used to navigate to a specific date and time in the log. This is useful if you wish to edit the log or record voice tracks for a future programme. This button will launch a window where you can choose the date and time.
Toggling segues
A segue is the transitioning of one item into another item. The segue toggle switch is used to say whether an item transitions into the next.
The segue toggle switch changes between a green arrow and a red stop sign.
A green arrow indicates that the succeeding track will automatically play after this track. A red stop sign indicates that playout will stop after this track has finished. To resume playback, click the play button on the player or the master controls.
Fine tuning segues
The Edit button allows you to fine tune the segue between the current, preceding and succeeding tracks. This will launch the segue editor.
Recording voice tracks
For voice track items the edit button will be replaced by the Record button. This will launch the segue editor allowing you to record your voice track. Until a voice track is recorded, a voice track item will display a placeholder entry. This will not be loaded into a player and will be skipped if a voice track has not been recorded. You can change the length of the placeholder duration by clicking on the duration, by default this looks like [00:30].
Click the Bin/Trash button to soft delete a playout item from the log. Soft deleting will cause the playout engine to ignore the item but it will still remain in the log, should you wish to restore it.
Click the Restore button to restore a previously soft deleted playout item.
Hold the CTRL key to display the Delete button to hard delete the playout item from the log.
If the item is currently playing, the Eject button is shown. Clicking it will fade out the item and the next item will play if the segue option is [image].
If the item is marked as Protected, the Shield icon is shown. This prevents the item from being accidentally deleted. You may intentionally soft/hard delete a protected item by clicking the Ellipsis button (...). Protected items will not be dropped by Fixed Time Markers or soft deleted by the Auto Adjust feature.
Click the Ellipsis button to expand the context menu for the playout log item. Here it is possible to perform additional actions on the item such as Edit Segue, Edit Track, Delete, Track Play History, or visit Web Links. Right-clicking a playout log item will also bring up the same menu.
The log contains headings for the hour for which the item is scheduled. Use this as a guide to schedule tracks in the future. Each hour shows how much the hour is currently over or under runnings. Each hour also features an Ellipsis button with additional options.
This can be used to import an hour from a playout log format, export an hour to PlayIt Playout Log format or a plain text format; or clear the hour completely. The import/export features are useful if you want to save a playlist and import this into another hour. You can also select to Mixdown this hour to an MP3 or WAV file for later broadcast or review.
Tempo adjustments
If the tempo of a track has been adjusted, it will be displayed into the Tempo Adjust column if this has been configured.
In this example, +0.5% means the track has been sped up by 0.5%.
Displaying more information about a track
To display more information about a playout log item or its track, you can right click the column headings at the top and select more columns. You can resize the columns by clicking and dragging between the columns. You can reorder the columns by going to Select Columns and using the Up and Down butttons.
You can also display more information about a particular track by clicking and expanding the log item.
The Out Cue, Intro, Album, Genre and Year are displayed on the left with the Comment field displayed on the right. If any field is too long to be displayed in the box you can hover over the text to display the full text.
Note: If the track was recently played the Last Played time is also displayed.
Frequency spectrum
The playing items on the playout log can display a frequency spectrum visualising how the audio changes dynamically. The bars indicate the distribution of audio frequencies within the audio, from low on the left (bass) to high on the right (treble). This can be disabled under Settings.
Navigating the playout log with the keyboard
You can quickly navigate the playout log by selecting an item and then using the keyboard keys. The following keys can be used:
Up: Move the selection one item up.
Down: Move the selection one item down.
Page Up: Move the selection one page up.
Page Down: Move the selection one page down.
Home: Move the selection to the current item.
Top

QuickCarts panel

5. QuickCarts panel
See QuickCarts .
Top

Internet broadcast indicator (plugin)

6. Internet broadcast indicator (plugin)
The status of your internet broadcast. This plugin can be installled from the Plugin Gallery window.
Top

Currently logged in user

7. Currently logged in user
This shows the user who is currently logged in. To log out, click the button and then click Log Out.
Top

Track Group selector

8. Track Group selector
To filter the track list by track group, select the track group from the dropdown. The track list will show only tracks that exist in the selected track group. Track groups can be managed from Manage > Track Groups.
Top

Track search box

9. Track search box
Use the search box to filter the track list. When text is entered into the search box the track list will show only track titles (Artist - Title) that contain the entered text. To clear the search click the [image]. It is not possible to filter by duration.
Top

Track list

10. Track list
The track list shows a list of tracks added to the system. Tracks in this list can be managed from Manage > Tracks. The list shows each track in the form Artist - Title with the duration in the second column. Click either column to sort by that column, click the column again to reverse the sort order. The list can be filtered using the search box or the Track Group selector above. It is possible to select the columns in this list by right-clicking a column and selecting Select Columns. This will allow you to select and reorder the columns using the Up and Down buttons.
On the track list, it is also possible to right-click a track item to view additional options such as Edit Track, Pre-Fade Listen, Track Play History and visit Web Links.
The track list can be resized by dragging the space to the left of the track list.
Top

Special items

While Tracks are a fundamental playout log item type, you can also insert special items into the log. Simply drag and drop the box for the item type you want to insert into the playout log. You can click the down arrow icon to collapse this section to save space:
Top

Onscreen Clock

12. Onscreen Clock
The onscreen clock shows the current date and time. The onscreen clock can also be configured to include two additional clocks, for example, countdown clocks. Right-click the clock and select Configure.
A window will be shown allowing you to select the type of clock to be shown in addition to changing the text colour.
Clock types that can be selected are:
Current Time: shows the current clock time
Until End of Hour: shows a countdown until the end of the current hour
Until Time in Hour: shows a countdown to a specific time within a hour. This can be useful if you show ends a few minutes before the top of the hour to account for commercials/advertisements.
Until Next Fixed Time Marker: shows a countdown to the start of the next fixed time marker. This can be useful to count down to the next break.
Until Next Stop: shows a countdown to the next time audio will stop playing. This is useful if you are playing multiple tracks in succession. Note that the playout engine only looks forward up to 5 hours so will display --:-- if audio will stop in the long-term future.
Top

Log Scheduler Switch

13. Log Scheduler Switch
Switch the log scheduler ON to automatically schedule the playout log so that there are always items scheduled to play out.
Top

Automation Switch

14. Automation Switch
Switch automation ON to automatically schedule the playout log and lock it so it cannot be changed to prevent accidental changes. Switching Automation ON will also switch on the Log Scheduler.
When Automation is switched on this message will be shown at the top of the playout log:
Top

Master controls

/ 15. Master controls
The master controls control the overall player status. Click the Play button to start the next item in the playout log. When the audio is playing the Play button will become a Play Next button which, when clicked, will advance to the next track. Click the Pause button to pause all playing players. Click the Stop button to fade out and stop all playing players.
Top
Priority Streams
When one or more priority streams are open, priority stream players are displayed below the main live-assist players. These will indicate which priority streams are connected and playing.
When priority streams have overridden main live-assist playout, this message will be shown to indicate this:
For more information see the Priority Streams section.

The contents of Live-Assist Mode

Segue Editor
Voice Tracking
Priority Streams


Segue Editor

The segue editor is used to give you greater control over how tracks are sequenced. Tracks can be moved closer or further away from the preceding or succeeding track. If you are familiar with PlayIt VoiceTrack, the segue editor operates in the same way. It is possible to move tracks, trim the start and end, and fade tracks in and out or adjust the volume.
Click anywhere in the waveform view to set the current position marker.

Waveform

The waveform represents the audio signal. It shows the changes in amplitude over the duration of the track.
Top

Fade envelope

2. Fade envelope
Changing the fade envelope allows you adjust the volume of the track. Click the orange line on the waveform to edit the fade envelope. Clicking on the line will create an envelope point. Adding multiple envelope points will allow you to create a shape to adjust the fade volume. To remove a point drag the point outside the waveform box. The light-grey envelope shown is the effective envelope when a track playing at the same time has Duck other tracks enabled.
Top

Waveform top bar

3. Waveform top bar
Drag and drop the top bar of the track to align it with the previous or next track.
Top

Cue point marker

4. Cue point marker
A thick vertical line shown on the track represents a cue point marker. The Cue In point is shown in green, the Cue Out point is shown in pink and the Intro point is shown in cyan. Cue Points can be changed via Manage > Tracks and editing a track.
Top

Recording and playback controls

5. Recording and playback controls
Record button: start recording from your microphone. Please see Voice Tracking section more details. This button is disabled if you are not editing the segue for a voice track.
Delete recording button: deletes the recording so it can be discarded. This button is disabled if you are not editing the segue for a voice track.
Play button: start playback from the current playback position. Tip: You can use the space bar to perform this action.
Pause button: pause playback at the current playback position.
Stop button: stop playback and reset to the previously selected position marker. Tip: You can use the space bar to perform this action if audio is playing.
Jump to start: move the position marker to the start of the view. Tip: You can use the home key to perform this action.
Move to previous track: move the position marker to the previous track from the current position. Tip: You can use the page down key to perform this action.
Move to next track: move the position marker to the next track from the current position. Tip: You can use the page up key to perform this action.
Jump to end: move the position marker to the end of the view. Tip: You can use the end key to perform this action.
Current playback position: indicates how long has elapsed in the project
Top

Zoom controls

6. Zoom controls
As an alternative to using the mouse wheel to zoom the multi track view, you can use the zoom buttons to zoom in and out.
Top

Previous/Next Segue buttons

7. Previous/Next Segue buttons
Quickly move to the previous or next tracks in the playout log. These can be used to iterate through the tracks in the playout log efficiently.
Top

Previous/Next Voice buttons

8. Previous/Next Voice buttons
As above, but you will advance to only voice track segues. These can be used to iterate through voice tracks and quickly record voice tracks. These buttons are disabled if there are no voice tracks nearby in the log.
Top

Segue Information

9. Segue Information
The segue information shows how the selected track will sequence from the previous track into the next track. To see the segue information for the track simply click on the waveform.
The segue style defines specific ways that the track will sequence:
By default, the segue style is Cue Out/In, this means the cue in of the track will line up with the cue out of the previous track.
For Sweep Start, the sweeping track will start at the same time as the next track, provided it is short enough to play before the intro point of the next track. If the sweeping track is longer than the intro of the next track, the sweeping track will start before the next track and play up to the end of the intro. This option will make use of the Early Out cue point on the previous track if this is available.
For Sweep Intro, the sweeping track will finishing playing immediately before the end of the intro point of the next track. This option will make use of the Early Out cue point on the previous track if this is available.
For Custom, you can manually set up how the tracks sequence with each other.
When you move a track by dragging the waveform the segue style will automatically change to Custom.
Note that Sweep Start and Sweep Intro require Intro or Early Out points to be set on tracks, otherwise Cue Out/In will be used.
The Duck other tracks checkbox can be used to reduce the volume of the previous and next track when this track is played. You can configure the ducking (volume and speed) via the Settings button. When ducking is active you can see the effective track envelope changing to show the volume change.
Top

Audio Settings

If the volume of a track or recorded voice track is too quiet, use the Gain setting to increase the volume. The default gain for voice tracks can be set via Settings....
It is also possible to adjust the tempo of the track. Typically this is used automatically by the Auto Adjust feature to fit items to a Fixed Time Marker or the end of the hour.
Top

Settings button

11. Settings button
The settings button allows quick access to voice tracking settings from the segue editor. Here you can edit the audition time or the audio devices for playback or recording.
Top

Save button

12. Save button
Save your segue changes and close the segue editor window.
Top

Cancel button

13. Cancel button
Discard your segue changes and close the segue editor window.
Top


Voice Tracking

PLEASE NOTE:
Voice tracking is a premium feature of PlayIt Live and requires a valid Voice Tracking module applied to the PlayIt Live licence to enable full functionality. Without a valid Voice Tracking module applied all voice tracks will be preceded by an audio notice requesting that you purchase the module. To use voice tracking in PlayIt Live, purchase the Voice Tracking module licence and refresh your PlayIt Live licence.
Voice tracking is an industry-standard technique to create the illusion that there is a live announcer sitting behind the desk in a radio studio whereby in fact all the audio has been prerecorded and played out automatically. Voice tracking can allow you to record a three-hour show in less than half an hour.
PlayIt Live enables you to do this by inserting Voice Track items into the playout log and recording the audio with your microphone. The recorded audio can then be sequenced with other tracks in the log and tweaked using the segue editor. It is also possible to record voice tracks remotely, on another computer, and send these voice tracks to PlayIt Live. For more information on this see .
Start by dragging tracks into the log for the hour you wish to voice track:
Then drag a Voice Track item into the log for every voice track you would like to record between tracks:
A placeholder will be shown in the playout log for each voice track item you need to record. Click the red circle record icon [image] on the voice track you wish to record.
The segue editor will be shown allowing you to record your voice:
If you are using voice tracking for the first time, go to Settings... and ensure that your microphone device and audition time settings are set up correctly. The audition time is the number of seconds of the end of the previous track you will hear when you start recording your voice track. Remember to click OK to save your settings.
To start recording your voice track click the Record button, or press the R key.
A pop-up box will be shown if you have not purchased a VoiceTrack licence: see note.
Your recording will start and you will hear the end of the previous track. Start speaking to record your voice. The record button will change to the Play Next button:
Click the Play Next button to play the next track after the voice track, or press the R key again. The button will change to the stop button:
Click the Stop button to finish recording, or press the R key one more time.
Your segue editor view should now look something like this:
You can trim the audio of the recording by clicking the edges of the waveform to remove any unwanted audio at the start or end of the recording. You can also move the audio around by clicking and dragging the top bar the waveform and edit the volume by clicking and dragging on the orange fade envelope. If the audio you have recorded is too quiet, use Gain to increase the volume.
You have now recorded your first voice track. Click Next Voice to save and record the next voice track, or click Save to save and return to the playout log.
The voice track will now be shown loaded into the players if playing next, and shown in the log with the other tracks.
Voice tracks can be recorded as far in advance as you need. Just scroll down the playout log to the required time.
Recording beds (background music) and imaging (e.g. station idents) into your voice track recording
When recording a voice track item a Carts section is shown to the right hand side under the Audio Settings section. This can be used to record other audio along side your voice track, for example, a bed. Simply drag and drop an audio file into the cart, or you can use the [image] icon to load an existing track, file, or eject the cart. You must ensure carts are loaded before starting to record your voice track. Use the volume slider to adjust the volume of the audio if you want to talk over it.

The contents of Voice Tracking

Remote Voice Tracking (Setup)
Remote Voice Tracking (Usage)


Remote Voice Tracking (Setup)

PlayIt Live can be configure to allow users to connect from another computer at home or another studio and record voice tracks in your playout log. They can also edit the segues and add additional tracks from your library if they wish.
You will need to do the following to allow remote users to connect:
1. Enable remote connections by starting the built-in remote server.
2. Set up users, including username, password, and the hours they are allowed to edit in the playout log.
3. Add voice track placeholders to the playout log where users can record voice tracks.
4. Give the remote URL from step 1 and a username and password from step 2 to the user.
--

1. Enable remote connections

From the main interface, go to File > Enable remote connections...
Expland the Advanced section, ensure that Use HTTPS is checked. The default server port of 25433 should be fine. Click Start Server
This will enable remote connections to PlayIt Live. Depending on your configuration, you may be required to configure your Windows Firewall and network port forwarding to allow connections from outside your network. You can use the Help me set up external access button to assist you with this.
See: Setting Up External Access
Under external access is a remote URL that will be used by the remote user to connect. Take note of this:

2. Set up users

From the main interface, go to Manage > Users
On the Manage Users window, click Add New. Enter a display name, username and password for the user. Use the Remote Voice Tracking grid to select the hours the user is allow to remote voice track into.
Add more users as necessary.
Click OK on the Manage Users window to apply the changes.

3. Add voice track placeholders

Voice track placeholders are gaps in the playout log where users can record their voice tracks. You can add voice track placeholders to the playout log by dragging the Voice Track button onto the playout log:
You can use the Go To Time button [image] to go straight to an hour to drop voice tracks for a future hour.
Alternatively you can add voice track placeholders directly via Manage > Playout Log or via a clock via Manage > Clocks. If a user starts a remote voice tracking session for an hour which has not yet been scheduled in the playout log, PlayIt Live will automatically schedule this hour.

4. Connect a user

Once you have set up the above, contact your remote voice trackers sending them the remote URL and their username and password. Remote voice trackers can remote voice track in two ways:
1. Recommended: Voice tracking via a web browser (Any operating system). Please refer to Remote Voice Tracking (Usage)
2. Via PlayIt VoiceTrack (Windows only). Please refer to the PlayIt VoiceTrack documentation

A note on licensing:

A Voice Tracking module purchase is required to broadcast voice tracks via PlayIt Live. Remote voice trackers do not require the Voice Tracking module to send their voice tracks to PlayIt Live. Only a limited number of users can be connected concurrently. This is determined by the number of users that were selected when purchasing the Voice Tracking module.


Remote Voice Tracking (Usage)

This page explains how to perform remote voice tracking into PlayIt Live via a web browser. You will need:
1. The remote access URL of your station
This usually ends with .playitradio.com and must start with https://. If you having trouble connecting, try visiting https://www.playitradio.com and pasting the address into the box and clicking Connect.
2. Username
3. Password
4. A Chrome-based web browser such as Google Chrome, Microsoft Edge or Vivaldi. These are available on any operating system.
--
Visit the remote access URL in a web browser.
Select Remote Voice Tracking:
Enter your Username and Password:
Select the voice tracking slot you wish to voice track into:
If there are no voice tracking slots available you will see the following message. Your station programmer must ensure there are voice tracking placeholder items in the hours you need to voice track:
After selecting a slot, the playout log items in the hour will be downloaded and the browser will begin to download the start and end of the audio for each of the tracks in the hour. The start of the track will be up until 10 seconds + the audition time (see below) after the intro point and the end of the track will be from the audition time before the cue out point of the track. Once the download has finished, the Downloading icon will disappear.
On the right hand side, you will see the Session Controls section. Here you can switch to a different hour slot or end the remote session. It is important to end the remote session after you have finished to ensure other users can connect in the future. There is a limit on the number of users who can connect at the same time. The Update Queue shows the commands that are being sent to the server. If these are showing as "Processed" you know these are being accepted successfully by the remote voice tracking server.
Click the Record icon next to a Voice Tracking placeholder item to launch the segue editor.
Click the Record button on the Segue Editor to start recording your microphone into the voice track item. If this is the first time you have used voice tracking you will be prompted to allow the browser to access your microphone. You must click Allow.
Select the playback device that will be used to play the audio and the microphone device used to record. You should choose a microphone device that does not record the playback and you should wear headphones so the audio from the computer is not picked up by the microphone. Click Save Changes. The voice track will then start recording.
The end of the previous track will start playing and your microphone will be recorded. Speak at the track is finishing. When you are ready to play the next track click the Next icon: . Finish recording your voice track, then click the Stop icon: . You can also press the R key to start recording, advance to the next track and stop the recording in succession.
Depending on the performance of your computer, the browser may need to finish encoding your recorded audio. Once encoding has finished, the interface will be ready to use again.
Click anywhere in the timeline to place the playback marker and click the Play button (or spacebar) to start playing the audio to review your recording. If you wish, you can use the Duck other tracks checkbox on the Segue Information section to bring down the audio of the previous and next track. The attenutation settings used here are the ones configured within PlayIt Live.
You can also manually adjust the volume envelope by clicking on the orange line to create a point and then clicking again on that point to move it. Each point will be shown with a red square. To remove a point, drag the point up or down outside the waveform box.
You can change the overall volume of the track by editing the Gain section under Audio Settings. This is useful if your microphone is particularly quiet. In this case you would increase the gain value.
You can move your voice track recording relative to the previous or next item. To do so, click the title (where it says [Voice Track Placeholder]) and drag it to the desired location. If you move it from the left-hand side of the track, it will move relative to the previous track. If you move it from the right-hand side of the track, it will move relative to the next track. Moving a track is useful if you missed the point where you wanted to finish speaking and wanted to correct it without re-recording.
Once you have finished recording and tweaking your voice track segue, click Next Voice to advance to the next voice track item to record. Once you do this the voice track you just recorded along with the segue information will be sent to the voice tracking server ready to broadcast.
Once you have finished with the segue editor, click Save at the bottom.
You will notice in the main interface that the Update Queue is populated with processed commands:
It is worth regularly checking this to ensure the queue is being processed as expected.
Adding More Voice Tracks:
To add more voice tracks to the hour, drag and drop the Add Voice Track button to where you want to add the voice track. If you click the button the voice track will be added to the end of the hour.
Track List:
You can see a list of the tracks available on the remote voice tracking system that you can drag and drop into the hour. You can also filter by track group or use the search box.
Re-ordering the Hour:
Click and drag any item row to move it within the hour.
Segue Editor Carts:
In the segue editor, the Carts feature allows you to record audio from your computer straight into your voice track. This is useful if you want to include a bed (background music) or a station ID (jingle). Carts are located on the right-hand side of the segue editor:
To load a track, you can either drag and drop a track from your file system into the player, or you can click the 'three dots' and select Load File...
Click the Play button to play the cart while recording a voice track and the cart will be included directly in the recording. Drag the slider on the cart to adjust the volume of the cart if it is too loud to talk over.
Audition Time:
The audition time is the amount of time the segue editor will play of the end of the previous track before you need to speak. This can be changed under the Settings button on the Segue Editor. If you increase the Audition Time, you will need to click Clear Audio Cache and refresh the browser to download more audio otherwise you will hear silence if not enough audio has been downloaded.
Finishing up:
Remember to end your remote session by clicking the End Remote Session button so others can connect, if necessary. If there are any pending items in the update queue, it will wait for these to finish before logging you out. Do not close your browser until these have finished otherwise your hour may be incomplete.
Happy voice tracking!
Troubleshooting:
If you see this message, please contact your station administrator. The server has not been correctly configured for browser-based remote voice tracking.


Priority Streams

Priority Streams is a unique feature allowing you to bring in an external stream such as a remote presenter/DJ or outside broadcast. When a priority stream is live, normal live-assist playout will stop and the priority stream will take over. If a priority stream is not connected or if it is too quiet or silent it will not go live and not take over normal live-assist playout. The highest priority, open, active priority stream will take priority over normal live-assist playout.
PLEASE NOTE:
Priority Streams is a premium feature requiring the Advanced Scheduling Module. Go to Help > Licensing Information to start a two week trial or purchase the module.

How it works

When a priority stream is open, PlayIt Live will continuously try to connect to a live URL (for Live URL streams) or check for connections on the direct stream connections port (for Direct Connection streams). If a connection is made and the volume level of the audio is sufficient (see silence threshold) then the priority stream is considered active. Normal live-assist playout will fade and stop, or wait until the currently playing track finishes (depending on settings) and then the priority stream will go live. If there are multiple active priority streams, the one with the highest priority will go live. If the priority is the same, the one that was active first will go live.
When the priority stream is no longer active, live-assist playout will resume its previous state (playing or stopped) or switch Automation ON, depending on settings.
To control the open state of a priority stream automatically you can use a Change Priority Stream Open State action under Manage > Scheduled Events, or adding a Scheduled Event Action item in the playout log.

Main Interface

When one or more priority streams are open, priority stream players are displayed below the main live-assist players. These will indicate which priority streams are connected and playing.
When priority streams have overridden main live-assist playout, this message will be shown to indicate this:

Scenarios

Allowing a stream to take over live-assist automation at any time
  • 1.
    Simple create an open priority stream.
  • 2.
    Then stream audio to the live URL or to the direct stream connections port.
Allow a stream to take over live-assist automation after the news
  • 1.
    Create a closed priority stream 'Example'
  • 2.
    Add to the playout log the following items
  • a.
    Hard Fixed Time Marker 00:00
  • b.
    Scheduled Event Action: Change Priority Stream Open State: Close [All Priority Streams]
  • c.
    Track: News
  • d.
    Track: News Out Jingle
  • e.
    Scheduled Event Action: Change Priority Stream Open State: Open 'Example'
  • f.
    Then add additional items after that match the format of the streaming show. These will act as a backup if the priority stream is disconnected or does not turn up.
  • 3.
    Then stream audio to the live URL or to the direct stream connections port. When the priority stream is open it will go live.
Pre-buffer a stream to take over live-assist automation after the news
  • 1.
    Create a closed priority stream 'Example'
  • 2.
    Add to the playout log the following items
  • a.
    Hard Fixed Time Marker 00:00
  • b.
    Scheduled Event Action: Change Priority Stream Open State: Close [All Priority Streams]
  • c.
    Track: News
  • d.
    Scheduled Event Action: Change Priority Stream Open State: Pre-open 'Example'
  • e.
    Track: News Out Jingle
  • f.
    Scheduled Event Action: Change Priority Stream Open State: Open 'Example'
  • g.
    Then add additional items after that match the format of the streaming show. These will act as a backup if the priority stream is disconnected or does not turn up.
  • 3.
    Then stream audio to the live URL or to the direct stream connections port. When the priority stream is open it will go live.
Scheduled Event Actions can be added to clocks to template the automatic control of priority stream open states.
When creating clocks that contain Scheduled Event Actions to bring in priority streams, you should add track or track group items that match the format of the show that is being streamed. If the priority stream disconnects PlayIt Live automation will be able to take over with relevant songs.

Terminology

Active: An active priority stream is one that is open, is connected and has a volume level higher than the silence threshold. If a stream is disconnected or falls below the silence threshold for a period of time it will be considered inactive.
Go Live: The priority stream with the highest priority which is active will be faded up. Depending on the settings selected, the normal live-assist playout will fade and stop, or the current track will finish before the priority stream is faded up.
Open: PlayIt Live will try to connect to the live URL or check for audio for the user on the direct stream connection port. Open streams can go live.
Pre-Open: As Open, but the stream will not go live. This can be used to pre-buffer a stream before opening and going live.
Closed: PlayIt Live will not check or stop checking for connections for the priority stream and will stop going live.


Decks Mode (Classic)

Decks Mode (Classic)
Classic Decks Mode emulates a cart machine where a disc jockey would have to physically press a button to control the cart.

Player

See Decks Mode player .
Top

QuickCarts panel

2. QuickCarts panel
See QuickCarts.
Top

Onscreen clock

3. Onscreen clock
See Onscreen clock
Top

Track List

4. Track List
See Track list .
Top

Track search box

5. Track search box
See Track search box .
Top

Track Group selector

6. Track Group selector
See Track Group selector .
Top

The contents of Decks Mode (Classic)

Decks Mode player


Decks Mode player

Decks Mode player
A Decks Mode player is loaded with a track by dragging and dropping a track from the Track List or from a file on your file system. When a track is loaded, it is automatically cued to the Cue In point if this is set on the track.

Intro

The blue timer indicates the intro time remaining on the playing track.
Top

Elapsed

The green timer indicates the elapsed time on the playing track.
Top

Remaining

The red timer indicates the remaining time on the playing track.
Top

Out cue

4. Out cue
The Out text is displayed when the Out Cue information is entered on the track.
Top

Track title

5. Track title
The track title is shown in the form Artist - Title.
Top

Play

The Play button starts playing the track.
Top

Pause

The Pause button temporarily suspends playback of the track. Click this again to resume playback.
Top

Stop

The Stop button fades out and stops the track.
The stop button is replaced with the Eject button when the track is not playing or no track is loaded into the player.
Top

Toggle scrubber

9. Toggle scrubber
Used to toggle scrubbing (seeking) on the progress bar. The progress bar will turn blue when this is active.
Top

Progress bar

10. Progress bar
The progress bar indicates the duration that has elapsed for the track in the player. The elapsed time is shown in black by default but shown in blue when scrubbing (seeking) is active. Scrubbing is activated by clicking the Toggle Scrubber checkbox to the left.
The progress bar features a number of highlightings:
Gray: Cue in point
Silver: Intro point
Pink: Cue out point
Top


QuickCarts

QuickCarts are single click one-shot players. They are typically used to play jingles, promos or beds. Simply drag-and-drop a track from the track list or an audio file from Windows Explorer onto the QuickCart to load it into the player.
QuickCarts can be configured as a panel of rows at the bottom of the main window, or as a separate window (like a cart wall) which can be placed on a separate monitor. You can also configure multiple pages.

Paging controls

1. Paging controls
QuickCarts can be shown on multiple pages. This is convenient is specific jingles are used on certain shows so a page can be created for later use.
Use the left and right arrows to navigate pages and click the page name to launch the QuickCart Pages window.
Top

Row of QuickCarts

2. Row of QuickCarts
QuickCarts can be displayed in multiple rows.
When loaded, the player appears in the default colour displaying the artist and the title of the track with the remaining time below.
In Playback operation mode, to start the player, simply click anywhere in the box. When playing, the progress is shown as the background and the status 'PLAYING' will be shown. If the cart is configured to Loop, when the position reaches the Loop B point (or the end if Loop B is not set) it will return to the Loop A point and continue playing. The status 'LOOPING' will be shown. If the cart is configured as Solo, then this cart is played, all other playing carts will fade out and stop. It will also fade out and stop if any other carts start playing. Solo carts are designed to be the only cart playing at any particular time.
When a QuickCart is played, the software can be configured to duck the audio of other players. You can find this option under Settings.
In Playback operation mode, to fade out and stop the player when it is playing, simply click the box again. The player will turn a dark shade of grey and the status 'FADING' will be shown. To force a stop and bypass fading click the box once again. The fade time is configured in Settings. By default the playback sequence is Play -> Fade out -> Stop, this can be changed by editing a cart. Possible options are to immediately stop and not fade (Play -> Stop) or cease looping if the cart is looping (Play -> Cease loop -> Fade -> Stop). When the loop has ceased, the status 'FINISHING' will be shown and the cart will play until the end or until the cart is clicked again when it will fade and stop.
Top

Page indicator

3. Page indicator
Indicates the position of the current page in relation to the other pages. Click a circle to navigate to that page.
Top

Playback operation mode

4. Playback operation mode
Click the hand button to enter the Playback operation mode. This will allow you to play, fade out and stop the players.
Top

Edit operation mode

5. Edit operation mode
Click the pencil button to enter the Edit operation mode. In this mode when you click a QuickCart the Edit QuickCart window will appear. This will allow you to select a new track or file and operationally override the artist and title. In this mode, right click to eject the player.
Top

Paint operation mode

6. Paint operation mode
Click the paint bucket button to enter the Paint operation mode. In this mode when you click a QuickCart the background colour of the QuickCart will change. To change the colour that is painted, double-click the paint button. This will allow you to select a new colour.
TIP: While in Edit or Paint mode, hold the CTRL key to temporary enter Playback mode.
Top

The contents of QuickCarts

QuickCarts Pages Window
Edit QuickCart Window


QuickCarts Pages Window

QuickCarts Pages Window
The QuickCart pages window is used to make changed to the pages found in the QuickCarts dock or window. All actions performed in the window will be applied immediately to the QuickCart component.

Page list

1. Page list
The page list box shows the list of pages in order. Select a page here to rename it, delete it, or change its position in the list. Double-click on an item in the page list to make it 'current' and quickly navigate to that page on the main window.
Top

Add Page button

2. Add Page button
Click the Add Page button to add a new page to the bottom of the list.
Top

Rename Page button

3. Rename Page button
Click the Rename Page button to rename the selected page.
Top

Delete Page button

4. Delete Page button
Click the Delete Page button to delete the selected page. A confirmation window will appear to ensure you want to delete the page as this is an irreversible action. It is not possible to delete the last remaining page.
Top

Move Up button

5. Move Up button
Click the Move Up button to move the selected page one position up in the list.
Top

Move Down button

6. Move Down button
Click the Move Down button to move the selected page one position down in the list.
Top

Close button

7. Close button
Click the Close button to close the window.
Top


Edit QuickCart Window

Edit QuickCart Window

Type selection

1. Type selection
Choose between Track and File as the source of the audio file. Choose Track to select a track already added into PlayIt Live. Choose File to select a file from the file system if you do not wish to add it to PlayIt Live.
Top

Track selection

2. Track selection
Click the track title link to select a new track. This section is only available if you have selected the Track type selection above.
Top

File selection

3. File selection
This section shows the file path of the audio file. If you have selected the File type above, click the Browse button to select a new audio file.
Top

Artist

Click the Artist checkbox and type into the text box to override the artist that will be displayed on the QuickCart.
Top

Title

Click the Title checkbox and type into the text box to override the title that will be displayed on the QuickCart.
Top

Background colour

6. Background colour
Click the colour box to select a new background colour for the QuickCart. Click Use Default to revert to the default colour (blue).
Top

Solo

If Solo is checked, when the cart is played it will cause all other carts to fade out and stop. This cart will also fade out and stop when any other cart starts playing. Solo ensures this cart is the only cart playing at any particular time.
Top

Loop

If Loop is checked, when the cart is played it will loop between points Loop A and Loop B. The Loop A and Loop B cue points will appear in the Cue Points section when Loop is checked. If Loop B is not set, the cart will loop from the end of the cart. If Loop A is not set, the cart will seek to the Cue In point when the loop point is reached.
Top

Playback sequence

9. Playback sequence
The playback sequence determines how the cart behaves when the cart is clicked on the main interface. In this example, the cart will Play, then Fade out, then Stop respectively for each mouse click. To change how the cart behaves, click any blue link. For example 'Fade out' above will display the following options allowing you to change this to Stop immediately:
and change the playback sequence to:
For looping carts there are additional options:
You can choose to 'Cease loop' when the cart is clicked. This will prevent the cart from looping anymore and behave like a non-looping cart. You can also choose to 'Go to Loop B' which will cause the cart to jump to the end of the loop sequence. This can be useful if you have a background bed that loops, but also has an end that you want the listener to hear when you have finished speaking.
Top

Cue Point settings

10. Cue Point settings
The Cue In point is the position in seconds where the track should be started by a player. Use the Set button while listening to the track to set the point to the current position. Use the Test button to listen to the track from the set position.
For looping carts, there are two additional cue points, Loop A and Loop B (see above).
Top

Waveform

The waveform shows the volume of the audio track over time. Overlaid on the waveform in green is the Cue In point that is set above. Double-click on a point over the waveform to start playing from that position in the track. You can also use the mouse wheel to zoom in and out of the waveform.
Top

Playback buttons

12. Playback buttons
Use the Play and Stop buttons to listen to the track. The audio device (sound card) used to play back the audio can be configured in Settings. Use the Back and Forward buttons to the start or end of the track. Use the Zoom buttons to zoom in and out of the waveform to set a more precise cue point. You can also use the mouse wheel to zoom in and out of the waveform.
Top

Analyse button

13. Analyse button
Click the Analyse button to automatically detect the Cue In point based on the silence at the start of the QuickCart track.
Top

OK button

14. OK button
Click the OK button to confirm your changes.
Top

Cancel button

15. Cancel button
Click the Cancel button to discard your changes.
Top


Pre-Fade Listen Window

Pre-Fade Listen Window
The Pre-Fade listen window is used to allow you to listen to a track before it airs. Click the Play and Stop buttons to control playback. You can double-click on a part of the waveform to advance to a position in the track. Use the mouse wheel to zoom in/out of the waveform for a more precise position selection. Audio will playback on the audio device you have selected under Settings > Track Editor Audio Device.


Track Play History Window

Track Play History Window
Note: This feature requires the Advanced Scheduling module. Without it, only the more recent play is shown.
The Track Play History Window provides you with a detailed and visual representation of when and how often tracks are played over a selected time period. This allows for in-depth analysis and informed decisions in music scheduling.
To access the Track Play History for a specific track, follow these steps:
From the main interface window, on a playout log item, select the three dots (or right click) and select Track Play Analysis
or
From the main interface window, on the track list, right click a track select Track Play Analysis
The Track Play History Window displays a grid where:
  • •
    Rows represent days
  • •
    Columns represent hours of the day from 00 to 23
  • •
    A green music note icon indicates the track was played during the corresponding hour and day.
  • •
    A blue person icon indicates the artist of that track was played during the corresponding hour and day.
For times in the future, the icons indicate the track or artist is scheduled for that hour.
Practical Uses
Track Play Frequency: Instantly see how often a track is played, which can help in avoiding overplay or underplay of particular songs or artists.
Play Pattern Analysis: Identify patterns in track plays to optimise music rotation and scheduling.
Artist Exposure: Monitor how frequently songs from a particular artist are played, aiding in maintaining a diverse playlist.


Log in to PlayIt Live

Log in to PlayIt Live
Note:
If you have just installed PlayIt Live you will not see this section. To require users to log into the system go to Manage > Users and click Require users to log in to use PlayIt Live.
If you are required to log into PlayIt Live you willl be presented with the log in window. Enter your username and password and click Log In.
You may be required by your administrator to change your password if your account was nearly set up:
Enter your password and confirm your password and click Change Password.
Forgotten Admin Password:
If you are an administrator and have forgotten your password, you can reset your password by logging into your PlayIt Software account on the PlayIt Software website with the same account as that who has licenced the software. Visit https://www.playitsoftware.com/Account/Dashboard/ResetAdminPassword and verify that the Client ID matches. Enter the Reset Code Part 1 into the website which will generate Reset Code Part 2. Enter Part 2 into the box in PlayIt Live and click Reset. You will be prompted to change your password.


Settings

The user interface and audio devices can be configured from the settings window. The settings window can be opened by going to File > Settings from the Main Window menu.

The contents of Settings

General Tab
Live-Assist Mode
Voice Tracking
Advanced Scheduling
Decks Mode
QuickCarts
Keyboard
Web Links
Advanced


General Tab

Settings section tabs

1. Settings section tabs
Settings are split across multiple tabs.
Top

Theme

Change the appearance of the main interface of PlayIt Live. Choose between Dark (default) and Light themes.
Top

Track list font size

3. Track list font size
Use the dropdown to select the font size of the Track List on the Main Window.
Top

Track list double-click behaviour

4. Track list double-click behaviour
Change what happens when you double-click a track on the track list. By default, this will open the Pre-Fade Listen window. Alternatively, you can open the Edit Track window.
Top

Time and Date display

5. Time and Date display
Change the way time and date are displayed in PlayIt Live. Select between 24 and 12 hour clock and displaying day or month first on the date. You can also enable or display the on-screen clock on the main interface.
Top

Fade time

6. Fade time
Use the dropdown to select the time it will take to fade out a track when the stop button is clicked on any of the players in PlayIt Live. This also applies when tracks are segued in Live-Assist mode.
Top

Flash players

7. Flash players
When selected, live-assist and decks mode players will flash when its track is coming to an end. You can select with how seconds left the players will begin to flash.
Top

Track editor audio device

8. Track editor audio device
This is the audio device (sound card) used for playback in the track editor (when adding or editing tracks). The track editor audio device is also used for the player in the Pre-Fade Listen window and the segue editor.
Top

Silence analysis

9. Silence analysis
It is possible to analyse silence in tracks to determine the Cue In or Cue Out points. When the Analyse button is clicked on the Track Editor these settings are used to automatically set the Cue In and Out points. When a file is dragged and dropped from the file system onto a player these settings are also used. This helps achieve the best sounding gapless playback.
Top

Live-Assist mode selection

10. Live-Assist mode selection
PlayIt Live offers two player modes. For information on using Live-Assist Mode see: Live-Assist Mode
Top

Decks player mode selection

11. Decks player mode selection
PlayIt Live offers two player modes. For information on using Decks Mode (Classic) see: Decks Mode (Classic)
Top

User login

12. User login
Tick this box to require users to log in to use PlayIt Live. Please ensure before you tick this box that you know correct usernames and passwords and how to log into the system. This is the same checkbox you can see under Manage > Users.
Top

OK button

13. OK button
Click the OK button to save any changes you have made. If there are any errors that need correcting a popup box will be displayed.
Top

Cancel button

14. Cancel button
Click the Cancel button to discard any changes you have made and return to the Main Window.
Top


Live-Assist Mode

Number of players selection

1. Number of players selection
Choose the number of players you wish to display at the top of the main window in Live-Assist mode.
Top

Player audio device assignment

2. Player audio device assignment
Each player can be assigned to a different audio device (typically a sound card) on your computer. Use the dropdown to select the audio device. This can be used to assign each player to an individual fader or channel on a professional mixer.
Top

Remote Studio Mic Device

3. Remote Studio Mic Device
This is the audio playback device that is used when a remote presenter sends their microphone using Remote Studio.
Top

Segue settings

4. Segue settings
The default segue option is the segue type that is chosen when a new track is added to the log via manual drag-and-drop or via the playout pattern.
The sweeper segue style is the segue style that is chosen when a track marked as a sweeper is added to the log unless an alternative segue style is chosen via a clock. The segue style can be changed by editing the segue via the Segue Editor.
You can also set whether to duck other players when a sweeper is scheduled. Again, you can change whether a track is ducked via the Segue Editor.
Top

Schedule ahead

5. Schedule ahead
By default, PlayIt Live will schedule at least 15 minutes ahead when the Log Schedule is ON on the main interface. Use this setting to increase the amount that is scheduled ahead up to 24 hours. PlayIt Live schedules in full hours, so scheduling ahead at least xx:15 minutes will ensure trigger the next hours to schedule at xx:45 past the hour (i.e. 15 minutes before the end of the hour)
Top
Looking for Priority Stream settings? These have been moved to Advanced Scheduling.

Default track scheduling strategy

6. Default track scheduling strategy
PlayIt Live uses a scheduling strategy when deciding what tracks to select for Track Group clock items or track groups in the Playout Pattern. Here you can select strategy to use. The options are:
Smart Selection: Selects a track using a weighted random algorithm. A track played longer ago is given a larger weight, increasing its chance of being selected.
Random: Select a track entirely at random from the track group.
Most Rested: Selects the track from the track group that was played longest ago.
Top

Item colouring

7. Item colouring
By default, PlayIt Live will colour only the edge of playout log items on the main interface. Select entire row to highlight the entire row.
Edge only:
Entire row:
Top

Show frequency spectrum

8. Show frequency spectrum
Shows or hides the live Frequency Spectrum from the playout log visualising how the audio changes dynamically. The bars indicate the distribution of audio frequencies within the audio, from low on the left (bass) to high on the right (treble).
Top


Voice Tracking

Voice Tracking Licence Status

1. Voice Tracking Licence Status
This shows the current status of the Voice Tracking module in your PlayIt Live licence. Voice tracking is a premium feature of PlayIt Live and requires a valid licence with the paid-for Voice Tracking module to enable full functionality. Without a valid Voice Tracking module all voice tracks will be preceded by an audio notice requesting that you purchase the module. To use voice tracking in PlayIt Live, purchase the Voice Tracking module and refresh your PlayIt Live licence.
Top

Microphone Recording Device

2. Microphone Recording Device
The recording device used when recording a voice track from the segue editor window. The device chosen here should not record audio that is played back to avoid music from being recorded into the voice track recording.
Top

Audition Time

3. Audition Time
When you start recording, this is the number of seconds from the end of the previous track you will hear.
Top

Recordings Folder

4. Recordings Folder
The location where the voice track recordings are stored on disk. Click the Browse button to find the folder on your system. Remember to ensure there is sufficient disk space to store recordings at this location.
Top

Recordings Format

5. Recordings Format
The audio format of voice track recordings. High bit rates are of high quality but take up more space on disk.
Top

Duck settings

6. Duck settings
Use these settings to automatically reduce the volume of other plays when a voice track is played.
Top

Cue point analysis

7. Cue point analysis
When a voice track is recorded the volume of the voice track is analysed for cue in and out points. Use these points to set an appropriate level of silence.
Top

Default gain

8. Default gain
When a voice track is recorded use this volume gain by default. This can be used if your microphone level is consistently too quiet without gain.
Top

Default playout log editing mode

9. Default playout log editing mode
You can restrict users when remote voice tracking by allowing them to either edit the full playout log for the hours they have access to, or only allow them to record voice tracks and adjust their segues. This setting can be overridden on a per-user basis.
Top


Advanced Scheduling

Advanced Scheduling Licence Status

1. Advanced Scheduling Licence Status
This shows the current status of the Advanced Scheduling module in your PlayIt Live licence. Advanced scheduling is a set of premium features of PlayIt Live and requires a valid licence with the paid-for Advanced Scheduling module to enable full functionality. Without a valid Advanced Scheduling module all advanced scheduling functionality will be disabled. To use advanced scheduling in PlayIt Live, purchase the Advanced Scheduling module and refresh your PlayIt Live licence.
Top

Fitting To Time settings

2. Fitting To Time settings
When scheduling up to the end of an hour or a fixed time marker, PlayIt Live can attempt to fit the scheduled items as close as possible to the target time. For each period between the end of an hour or a fixed time marker, PlayIt Live will spend up to <seconds per fit> seconds to find a selection of playout log items within <target threshold> seconds of the target time by generating up to <number of attempts> sets of playout log items. Decreasing Target Threshold or increasing Number of Attempts or Seconds Per Fit will increase the time it takes to schedule playout log items.
By default, Target Threshold is set to 30 seconds, Number of Attempts to 25 and Seconds Per Fit to 2 seconds. This means that PlayIt Live will generate up to 25 combinations of playout log items and pick the first (or best) one that fits within the target threshold. The Advanced Scheduling module is required to change these parameters.
Top
These settings refer to Priority Streams. For more information see Priority Streams.

Priority stream audio device

3. Priority stream audio device
The audio device (sound card) used to play out audio from a priority stream.
Top

Priority stream active behaviour

4. Priority stream active behaviour
The behaviour when a priority stream becomes active. You can either fade the currently playing track immediately. This will get the remote stream on-air immediately at the expense of cutting off the current track. Or, PlayIt Live can wait for the current track to finish playing. This will provide a more pleasant listening experience for the listener, but the remote stream will need to wait for their audio to get back on-air.
Top

Priority stream inactive behaviour

5. Priority stream inactive behaviour
The behaviour when a priority stream ends and there are no other priority streams available to play. Playout will either return to its original playing state. If it was playing before the priority stream went live it will resume playing - otherwise playout will not resume. Alternatively, you can switch Automation ON which will ensure that playout will always resume regardless of its previous playing state.
Top

Priority stream silence detection settings

6. Priority stream silence detection settings
If the volume level of a priority stream falls below the specified level for a specified period of time the stream will be considered inactive. This helps to prevent dead air if the remote stream falls silent.
Top

Priority stream direct stream port

7. Priority stream direct stream port
PlayIt Live can accept direct stream connections via a port which remote users can stream to. Remote users can connect using any Icecast-compatible encoder such as the Internet Broadcast plugin, BUTT, or Rocket Broadcaster. To set up a user to connect, create a user under Manage > Users. The following details can be used by the remote user to connect:
Server Type: Icecast
Server Address: <your external IP address> (see https://whatismyipaddress.com/)
Server Port: <the one specified here in settings> (remember to tick the checkbox to allow connections)
Username: <PlayIt Live user specific under Manage Users>
Password: <PlayIt Live user password specific under Manage Users>
Mount: /
Metadata titles streamed from the remote user will be interpreted by PlayIt Live and propagated through to the Internet Broadcast or Now Playing plugins.
You will need to configure your firewall settings to allow connections on the specified port to your computer (Start Menu > search Windows Defender Firewall)
You may also need to configure port forwarding for your network router to allow connections through your network to your computer.
Top
Other Advanced Scheduling features include Auto Adjust, Advert Scheduling, Track Dayparting, Daypart Separation and Hook Sequences.


Decks Mode

Number of full row decks selection

1. Number of full row decks selection
Use the up / down arrows to select the number of full row decks to be displayed. Where there is no limit to the number of decks you can select, you are limited by your screen resolution.
Top

Deck audio device assignment

2. Deck audio device assignment
Each deck can be assigned to a different audio device (typically a sound card) on your computer. Use the dropdown to select the audio device. This can be used to assign each deck to an individual fader or channel on a professional mixer.
Top

Remote Studio Mic Device

3. Remote Studio Mic Device
This is the audio playback device that is used when a remote presenter sends their microphone using Remote Studio.
Top


QuickCarts

Toggle QuickCarts

1. Toggle QuickCarts
For Docked to Bottom: this shows or hides QuickCarts below the players on the main window.
For Separate Window (Cart Wall): this shows or hides the QuickCarts window which can be displayed on a separate monitor.
Top

Number of QuickCart rows selection

2. Number of QuickCart rows selection
Changes the number of QuickCart rows that are displayed.
Top

Number of QuickCarts per row selection

3. Number of QuickCarts per row selection
Changes the number of QuickCarts that are displayed per row. As more QuickCarts are displayed per row they will be resized to fit the available space on the screen.
Top

QuickCart audio device

4. QuickCart audio device
Each QuickCart section can be assigned to a particular audio device (typically a sound card) on your computer.
Top

Separate window (Cart Wall) section

5. Separate window (Cart Wall) section
Settings can be configured for QuickCarts on a separate window. The settings in this section mirror the Docked to Bottom section above.
Top

Duck other players

6. Duck other players
When selected and a QuickCart is played, other main players will be ducked by the specified amount and speed.
Top

Enable right click eject in Playback mode

7. Enable right click eject in Playback mode
Prior to PlayIt Live version 1.08, it was possible to eject QuickCart players while in Playback mode. Feedback from users has indicated that it was too easy to accidentally eject players.
When this setting is selected, QuickCart players will eject when right-clicked in Playback or Edit mode. When this setting is not selected, QuickCart players will eject only when in Edit mode.
Top


Keyboard

The keyboard settings section allows you to bind PlayIt Live actions (commands) to keyboard shortcuts. Select an item in the list to edit the binding.

Keyboard binding list

1. Keyboard binding list
This list shows the possible commands to which you can bind a keyboard shortcut. Select a command in the list to edit the keyboard binding.
Top

Edit keyboard binding section

2. Edit keyboard binding section
Once you have selected a binding from the list, it is possible to edit the binding from this selection. When no key is currently bound the text '<key>' will be shown beside the check boxes.
In the screenshot shown the keyboard shortcut, CTRL+Right is bound to move to the next QuickCart page.
To set up this binding from scratch, select CTRL and click the '<key>' text box. You will be prompted to press a key, press the Right arrow on your keyboard. This keyboard shortcut is now configured. To clear the binding, click the Clear button.
Top

Global trigger selection

3. Global trigger selection
Select this checkbox to trigger keyboard commands even when PlayIt Live is not selected.
Top
Please think carefully when choosing keyboard shortcuts. For example, it is not recommended to configure Space Bar as a keyboard shortcut. This could interfere when you are typing into the search box and inadvertently trigger an action.


Web Links

Web Links can be used to quickly search the web for an artist or track by right-clicking or expanding the context menu for a track on the main interface.

Web Links list

1. Web Links list
The list of web links:
Display Text: The text displayed on the right-click context menu, e.g. Wikipedia: {artist} would display Wikipedia: ABBA.
URL: The URL (web address) that is visited in the browser.
Placeholders for {artist}, {title} and {album} can be used.
Order: This can be changed using the Up/Down buttons.
Top

Actions

Click Add to add a new web link
Click Edit to edit the selected web link.
Click the reorder Up and Down buttons to move the selected web link.
Click the Reset to defaults button to clear all existing web links and start again with the details.
Top
Examples:
Display Text | URL | Comments
Wikipedia: {artist} | https://www.duckduckgo.com/?q=\{artist} band site:wikipedia.org | Uses DuckDuckGo to find first result matching the search. The backslash \ denotes this.
Wikipedia: {artist} - {title} | https://www.duckduckgo.com/?q=\{artist} - {title} song site:wikipedia.org | Uses DuckDuckGo to find first result matching the search. The backslash \ denotes this.
Google: {artist} - {title} | https://www.google.com/search?q={artist} - {title} |
Wikipedia: {artist} | https://en.wikipedia.org/w/index.php?search={artist} | Directly search Wikipedia
Wikipedia: {artist} - {title} | https://en.wikipedia.org/w/index.php?search={artist} - {title} | Directly search Wikipedia
All Music: {artist} | https://www.allmusic.com/search/all/{artist} |
Discogs: {artist} | https://www.discogs.com/search/?q={artist}&btn=&type=artist |
Discogs: {artist} - {title} | https://www.discogs.com/search/?q={artist} - {title}&type=release |
MusicBrainz: {artist} | https://musicbrainz.org/search?type=artist&query={artist} |
MusicBrainz: {artist} | https://www.duckduckgo.com/?q=!mbartist {artist} | Using DuckDuckGo Bangs (DuckDuckGo has a feature called Bangs which makes it easy to query other services: see https://duckduckgo.com/bang )


Advanced

The Advanced Tab shows settings you can change that modify more technical parts of the system.

Playback buffer length

1. Playback buffer length
Increasing the playback buffer length decreases the chance of the sound breaking-up on slower computers, but also increases latency when processing audio. A restart of PlayIt Live is required to apply the change.
Top

Clock offset

2. Clock offset
Adjust the clock to account for a broadcast delay. A restart of PlayIt Live is required to apply the change.
Top

ASIO Devices

3. ASIO Devices
ASIO (Audio Stream Input/Output) devices are low-latency audio devices. If you wish to use a listed ASIO device, tick the item in the list. You will need to restart PlayIt Live to apply the changes and initialise the device. ASIO devices must be explicitly initialised to avoid potential conflicts the equivalent standard driver loaded by PlayIt Live.
Top

Additional Advanced Settings

4. Additional Advanced Settings
Enter advanced settings into this text box. Only do so if instructed by PlayIt Software Support. You may need to restart PlayIt Live for changes to take effect.
Top


Administration

Various elements of PlayIt Live can be administered from the Manage menu.
Apart from Scheduled Events, it is not possible to manage data while connected to PlayIt Manager.

The contents of Administration

Tracks
Track Groups
Multiple Artist Splits
Related Artists
Monitored Folders
Logged Tracks
Playout Policies
Playout Pattern
Scheduling
Priority Streams
Users
Tools


Tracks

Tracks represent audio files that can be imported into PlayIt Live. With each track, additional information is stored to assist playback and announcing on air. This information includes:
Type: The type of the track which can be used for track group filtering, e.g. Song or Station ID. By default this is set to 'Inferred' which means the type is determined from data in the tags, artist, title and duration. See Inferred Type rules below.
Artist: The performer of the track, typically a singer or band.
Title: The name of the track.
Out Cue: The style at which the track ends, for example, fade out; or sustain.
Album: The album the track appears on.
Genre: The category that identifies the type of music.
Year: The year the track was released.
Tags: A tag is a keyword or term that helps to describe the track. Tags can be used in track group filters.
Comments: A free-text field allowing you to enter any descriptive text about a track. This can also be useful for describing where and when the track charted. This is displayed on the playout log on the main interface when clicking on an item.
Sweeper?: Whether the track is a sweeper. A sweeper is a track that can be played over the start of the intro of another song. It is typical dry (no background music) so it does not clash with the track it is playing over.
No Fade?: Tracks marked with No Fade will not be faded when the Cue Out point of the track is reached. This is typically used if the track is already fading.
Adjust Tempo: Tracks can be sped up or slowed down by making a tempo adjustment. Tempo can be adjusted -10 to +10%. Playout will adjust the tempo without changing the pitch.
Gain: Adjust the overall gain of the track to make it quieter or louder.
Cue In: The position in the track where a player should start playing. This is typically where the silence ends at the start of the track and the audible audio begins.
Intro: The position in the track where the vocals begin. This can be used by the on-air presenter / DJ to 'hit the vocals'.
Cue Out: The position in the track where it is considered to be finished. If a track is fading out, this should be shortly before the end of the fade. When the cue out point is hit in Live-Assist mode, this will cause the track will segue into the next.
Disabled: Disabled tracks will not be considered by the scheduler when scheduling track group items.
Valid From: Tracks will not be considered by the scheduler when scheduling track group items if the scheduling time is before the Valid From date.
Expires: Tracks will not be considered by the scheduler when scheduling track group items if the scheduling time is after midnight on the Expires date.
Inferred Type rules

:

The following rules are used to determine the track type when 'Inferred' is selected:
If Tags contains one of the track types, that track type is inferred.
Otherwise, if the Artist or Title equals one of the track types, that track type is inferred.
Otherwise, if the Duration is less than 30 seconds, Station ID is inferred.
Otherwise, Song is inferred.

The contents of Tracks

Manage Tracks Window
Edit Track Window
Bulk Editing Tracks
Add New Tracks Wizard Window


Manage Tracks Window

Manage Tracks Window
The Managed Tracks window shows all tracks imported into PlayIt Live. Tracks imported into PlayIt Live can be used from the Track List on the right-hand side of the main window.

Track Group selector

1. Track Group selector
To filter the track list by track group, select the track group from the drop down. The track list will show only tracks that exist in the selected track group. Track groups can be managed from Manage > Track Groups.
Top

Export to CSV

2. Export to CSV
Exports the track list to CSV (including any search or track group filter).
Top

Track search box

3. Track search box
Use the search box to filter the track list. When text is entered into the search box the track list will show only track titles that contain the entered text. To clear the search click the [image].
Top

Track list

4. Track list
By default, the track list shows the Artist, Title, Intro, Duration and Path of all the tracks in the database. Double-click an entry to begin editing a track and launch the Edit Track Window . Changes will not be saved until you click the Apply or OK button.
You can select the columns that are displayed in this grid by right clicking the Header and selecting Select columns...
Top

Delete track button

5. Delete track button
To delete a track click the delete button. Changes will not be saved until you click the Apply or OK button.
To delete all tracks from the list, select the list and press CTRL+A to select all the tracks. Press the Delete key to remove the tracks. A confirmation window will be shown to confirm your changes.
Top

Add New button

6. Add New button
Click the Add New button to begin adding new tracks to the database and launch the Add New Tracks Wizard Window .
Top

Edit button

7. Edit button
Click the Edit button to begin editing the selected track. This will launch the Edit Track Window . You can also bulk edit tracks by selecting multiple tracks with CTRL or SHIFT and clicking the Edit button.
Top

OK button

8. OK button
Click the OK button to save changes and close the Manage Tracks window.
Top

Cancel Button

9. Cancel Button
Click the Cancel button to discard any changes and close the Manage Tracks window.
Top

Apply button

10. Apply button
Click the Apply button to save changes without closing the Manage Tracks window.
Top


Edit Track Window

Edit Track Window
The track editor is used to change the information stored on each track imported into PlayIt Live.

File path

1. File path
This displays the location of the audio file on the file system. This cannot be changed once the track has been added.
Top

Track information

2. Track information
This area allows you to change the information stored on the track. Artist, Genre and Tags information will attempt to auto complete if there is similar information on other tracks in order to help keep data consistent.
Under the Scheduling tab you can also find the Disabled, Valid From and Expires fields.
Disabled: Disabled tracks will not be considered by the scheduler when scheduling track group items.
Valid From: Tracks will not be considered by the scheduler when scheduling track group items if the scheduling time is before the Valid From date.
Expires: Tracks will not be considered by the scheduler when scheduling track group items if the scheduling time is after midnight on the Expires date.
Under the Dayparting tab you can define at what times of the week the track can play. This is useful if you want to prevent a track from being played at the weekend, for example.
The Dayparting feature requires the Advanced Scheduling module. A green indicator shows this is licensed. If this is shown in red, click the indicator to purchase or start a trial of the module.
Under the Reporting tab you can change the ISRC (International Standard Recording Code) and record label for the track. These can be used to report tracks to licensing and royalty collection agencies. You can export these via Manage > Logged Tracks.
Under the Track Groups tab you can add or remove this track group from Listed Track Groups. You can also see if the track group is dynamically assigned to other Filtered or Grouped Track Groups.
Top

Cue Point controls

3. Cue Point controls
The Cue In point is the position in seconds where the track should be started by a player.
The Intro point is the position in seconds where the vocals start on the track.
The Hook Start point is the position where a hook in a hook sequence will start. Click the Hooks section to expand this cue point.
The Hook End point is the position where a hook in a hook sequence will end, if the full hook is used. Click the Hooks section to expand this cue point.
The Early Out point is the position where the track is considered to be almost finished.
Early Out can be used in two different scenarios:
  • •
    For songs, the point indicates to PlayIt Live that it can place a sweeper after this point as the track is finishing to provide a smoother transition.
  • •
    For track marked as "Sweeper", the point indicates to PlayIt Live that it can start the next track after this point. This allows the end of the sweeper to play over the intro of the next song.
Click the E. Out section to expand this cue point.
The Cue Out point is the position in seconds where the track is considered to have finished. When this point is reached in Live-Assist mode, the players will being fading out this track and start playing the next track. The players count down the remaining time to this point.
Use the Set button while listening to the track to set the point to the current position. Use the Test button to listen to the track from the set position. Click the × button to reset to the default position.
Cue points can also be tweaked using the keyboard. Click on the cue point of interest, and press Left Arrow and Right Arrows to adjust the cue point by 0.01. Press SHIFT+Left Arrow and SHIFT+Right Arrow to adjust the cue point by larger jumps of 0.1. Cue points can also be adjusted by clicking and dragging the mouse over the cue point position value. The set cue point can be quickly tested by pressing Enter and double-clicking the cue point value. Press the Spacebar to stop playback.
Top

Analyse button

4. Analyse button
Click the Analyse button to automatically detect the Cue In and Cue Out points based on the silence at the start and end of the track. The sensitivity of the analysis can be configured from Settings.
Top

Waveform

The waveform shows the volume of the audio track over time. Overlaid on the waveform are the Cue In (grey), Intro (blue), Hook (hot pink), Early Out (orange) and Cue Out (red) points that are set above. Double-click on the waveform to start playing at a different position in the track. Use the Play and Stop button to control playback and the Back and Forward buttons to jump to the start or end of the track. Use the Zoom buttons to zoom in and out of the waveform if you need to set a more precise cue point. You can also zoom in and out with the mouse wheel while hovering over the waveform.
Top

Navigator

Use the navigator to easily move to the previous and next track displayed in the list. Note, before moving between tracks, any changes to the current track will be saved.
Top

Save Track button

7. Save Track button
Click the Save Track to confirm changes to the current track.
Top

Close button

8. Close button
Click the Close button to discard changes to the current track.
Top


Bulk Editing Tracks

It is possible to bulk edit tracks to update fields on multiple tracks at once. You can select multiple tracks by holding the CTRL or SHIFT keys and clicking on track rows:
Then click the Edit button.
The Bulk Edit window will be shown allowing you to edit multiple tracks at once. Simply tick the fields you want to change and enter the new value, e.g. Genre: Pop:
You can also bulk analyse cue points in tracks by clicking on the Analyse button.
Once finished, click the Save Tracks button.


Add New Tracks Wizard Window

Add New Tracks Wizard Window
The Add New Tracks Wizard to designed to streamline to process of adding tracks to PlayIt Live.

From individual files

1. From individual files
Click this option to select tracks from individual files. When you click Next you will be prompted to select files to add.
Top

From a folder

2. From a folder
Click this option to select tracks from a folder. When you click Next you will be prompted to select a folder to add files from.
Top

From a CSV import file

3. From a CSV import file
Click this option to import tracks from a CSV import file. This is useful if you have been using another playout system and want to migrate tracks from that system without having to re-enter data, particularly cue points. To generate a template CSV import template, go to Manage > Tracks and export the current list of tracks using the Export track list to CSV button. Then modify the file to import a new set of tracks.
The columns read by the CSV track importer are:
Artist
Title
Album
Path
Duration (seconds)
Intro
Cue In
Cue Out
Genre
Year
Out Cue
Tags
Comments
ISRC
Record Label
Type
Disabled
Expires
Valid From
No Fade
Sweeper
Top

Back button

4. Back button
The Back button is enabled once beyond the first step of the wizard. Click the Back button to make changes in previous steps of the wizard.
Top

Next button

5. Next button
Click the Next button to move to the next step in the wizard.
Top

Cancel button

6. Cancel button
Click the Cancel button to exit the wizard.
Top

The contents of Add New Tracks Wizard Window

Additional Options Section
Progress Section
Review Section
Group Section


Additional Options Section

Additional Options Section

Source selection

1. Source selection
The current source that was selected in the previous step, either a folder or the number of files.
Top

Include sub folders

2. Include sub folders
If a folder was selected in the previous step, check this box to include sub folders when scanning for track files.
Top

Analyse silence

3. Analyse silence
Check this box to analyse silence at the start and end of tracks to automatically determine the Cue In and Cue Out points. The parameters for the silence analysis can be configured from Settings.
Top

Duplicate handling

4. Duplicate handling
The duplicate handling section determines how files with the same file path are handled when processing new tracks. This section is unavailable if there are no tracks currently in the system.
Replace any tracks with the same file path
If a file is found that has the same path as a track in the system, it will be overwritten by the new track file.
Skip any tracks with the same file path
If a file is found that has the same path as a track in the system, it will be ignored and will not change the existing track already added to PlayIt Live.
Duplicate any tracks with the same file path
If a file is found that has the same path as a track in the system, it will be added again, resulting in two instances of the same track in the system. This is the behaviour found in versions of PlayIt Live, prior to version 1.10.
Top


Progress Section

The Progress section shows the progress of the tracks being processed.

Current track file path

1. Current track file path
The current track being processed.
Top

Artist and title

2. Artist and title
The artist and title read from the processed track file. This is read from the embedded tag information within the file. If this information is missing, the artist and track are determined from the filename in the format Artist - Title.ext where ext is the file extension.
Top

Overall progress

3. Overall progress
The overall progress of the adding tracks process. This will also indicate if any files have been skipped as they are not valid audio files.
Top


Review Section

The Review section is designed to allow you to review tracks before they are added to the system.

Track list

1. Track list
This list includes all the tracks that were processed by the wizard.
Top

Track check box

2. Track check box
If a track is checked, it is marked to be added to the system at the end of the wizard. Un-check this box to prevent a track from being added.
Top

Track editor

3. Track editor
See: Edit Track Window
Top


Group Section

The final section of the wizard is the Group section. Here you can add the processed tracks to an existing group, a new group or leave them in the All Tracks group. Click Finish to add the tracks to the system.

Leave in All Tracks group selection

1. Leave in All Tracks group selection
Select this option to prevent the processed tracks from being added to a particular track group. By default, they will appear in the All Tracks group.
Top

Add to existing group selection

2. Add to existing group selection
Select this option to add the processed tracks to an existing track group. Select the track group from the dropdown.
Top

Add to new group selection

3. Add to new group selection
Select this option to add the processed tracks to a new track group. Enter the name of the new group into the text box.
Top

Finish button

4. Finish button
Click the Finish button to complete the track adding process and add the tracks to the system.
Top


Track Groups

As the name suggests, Track Groups are used to group tracks by certain criteria. There are three types of track group:
Listed:
Manually select a list of tracks to add to the group.
Filtered:
Select a set of filters to dynamically select the tracks based on information stored on the track.
Grouped:
Combine multiple track groups into one track group.
Track groups are used on the main interface to filter tracks in the track list. They are also used in playout policies, playout pattern, and clocks.

Customising the playout log on the main interface with track groups

It is possible to change the icon and colour of a track on the playout log on the main interface. When editing a track group, you can optionally select an icon and colour for the track group. There are a number of built-in icons but it is possible to add your own.
To add your own icons, go to the C:\ProgramData\PlayIt Live\icons folder on your computer. Please note that the C:\ProgramData\ is a hidden folder so you should type the full path into Window Explorer or the Run window:
or
The built-in icons are 256x256 PNG icons with transparency. To add your own icons to PlayIt Live, simply add the images to this folder. PlayIt Live uses the filename without extension to store which icon is associated with each track group. Therefore you should refrain from using the same filename with different extensions for different icons. You should also refrain from prefixing your images with playit-. Anything with this prefix could be removed or overwritten by a new version of PlayIt Live. Once you have added your icons to the folder they will be visible for use in PlayIt Live.

The contents of Track Groups

Manage Track Groups Window
Choose Track Group Type Window
Edit Listed Track Group Window
Edit Filtered Track Group Window
Edit Grouped Track Group Window
Move Tracks Window


Manage Track Groups Window

Manage Track Groups Window
The Manage Track Groups window lists all the track groups in the system.

Track group list

1. Track group list
Displays the Name, Type, Track Count, and Hidden state of each track group. Double-click an entry in the list to begin editing and launch the edit window. Depending on the type, this could be the Edit Listed Track Group Window , Edit Filtered Track Group Window , or Edit Grouped Track Group Window .
Top

Delete button

2. Delete button
Click the Delete button to delete the track from the system.
Top

Hidden check box

3. Hidden check box
Check the Hidden check box to hide the Track Group from the main interface Track Group selector.
Top

Add New button

4. Add New button
Click the Add New button to begin adding a new track group to the system and launch the Choose Track Group Type Window .
Top

Edit button

5. Edit button
Click the Edit button to begin editing the selected track group and launch the edit window. Depending on the type, this could be the Edit Listed Track Group Window , Edit Filtered Track Group Window , or Edit Grouped Track Group Window .
Top

OK button

6. OK button
Click the OK button to save changes.
Top

Cancel button

7. Cancel button
Click the Cancel button to discard changes.
Top

Apply button

8. Apply button
Click the Apply button to save changes without closing the window.
Top

Move Tracks

9. Move Tracks
Use the Move Tracks feature to easily move tracks between existing Listed Track Groups. See Move Tracks Window.
Top


Choose Track Group Type Window

Choose Track Group Type Window

Listed Track Group

1. Listed Track Group
Select this option to create a Listed Track Group. Then click OK to launch the Edit Listed Track Group Window .
Top

Filtered Track Group

2. Filtered Track Group
Select this option to create a Filtered Track Group. Then click OK to launch the Edit Filtered Track Group Window .
Top

Grouped Track Group

3. Grouped Track Group
Select this option to create a Grouped Track Group. Then click OK to launch the Edit Grouped Track Group Window .
Top

OK button

4. OK button
Click OK to continue creating a track group of the selected type.
Top

Cancel button

5. Cancel button
Click Cancel to stop creating a new track group.
Top


Edit Listed Track Group Window

Edit Listed Track Group Window

Track Group name

1. Track Group name
The name of the track group.
Top

Track search box

2. Track search box
Enter text into the search box to filter the track list. See: Track search box .
Top

Track list

3. Track list
List of tracks not already in the track group.
You can select the columns that are displayed in this grid by right clicking the Header and selecting Select columns...
You can right click a track in the track list to show additional options. Here you can select to preview the audio to hear what the track sounds like.
Top

Add to track group

4. Add to track group
Click the > button to add the selected track group from the track list to the track group track list.
Top

Track group track list

5. Track group track list
List of tracks in the track group.
You can select the columns that are displayed in this grid by right clicking the Header and selecting Select columns...
You can right click a track in the track list to show additional options. Here you can select to preview the audio to hear what the track sounds like.
Top

Remove from track group

6. Remove from track group
Click the < button to remove the selected track group from the track group track list.
Top

Colour

Tick the Colour box to show a colour for any tracks in this track group when they are shown on the playout log on the main interface. Click in the colour box to change the colour.
Top

Icon

Tick the Icon box to show an icon for any tracks in this track group when they are shown on the playout log on the main interface. Click in the icon box to change the icon, the Select Icon window will be shown:
To add your own icons, see the

Customising the playout log on the main interface with track groups

 section.
Top

Priority

The priority is used to determine which track group is used when displaying a track on the playout log on the main interface that appears in multiple track groups. The track group with the highest priority will be used when displaying the colour or icon.
Top

OK button

10. OK button
Click the OK button to confirm changes to the track group.
Top

Cancel button

11. Cancel button
Click the Cancel button to discard changes to the track group.
Top


Edit Filtered Track Group Window

Edit Filtered Track Group Window
The Filtered Track Group window allows you to create dynamic track groups using filters. The above track group filters tracks by years between 1980 and 1990 (i.e. year greater than or equal to 1980 and year less than 1990) to form the 1980s track group.

Track group name

1. Track group name
The name of the track group
Top

Add filter button

2. Add filter button
Click the Add button to add a new filter condition
Top

Remove filter button

3. Remove filter button
Click the Remove button to remove the filter condition
Top

And / Or selector

4. And / Or selector
To filter tracks by more than one condition, use the And/Or selector to choose how to combine the filters. The And operator selects tracks that match both the first and the second condition. The Or operator selects tracks that match either of the first or the second condition.
Top

Open parentheses

5. Open parentheses
Use parentheses to form complex filters. To the up and down arrows to increase and decrease the number of parentheses.
Top

Field selector

6. Field selector
Use the dropdown to select the field you wish to filter by.
Top

Operation selector

7. Operation selector
Use the dropdown to select the filter operation.
Top

Filter value

8. Filter value
Use the text box to enter the value to filter by.
Top

Close parentheses

9. Close parentheses
Use parentheses to form complex filters. To the up and down arrows to increase and decrease the number of parentheses.
Top

Matched tracks

10. Matched tracks
As the filter is updated the Matched tracks list will be updated to reflect the tracks that will be matched the current filter.
Top

Colour, Icon and Priority

11. Colour, Icon and Priority
See Listed Track Group settings
Top


Edit Grouped Track Group Window

Edit Grouped Track Group Window

Track group name

1. Track group name
The name of the track group.
Top

Invert selection checkbox

2. Invert selection checkbox
If this checkbox is checked the tracks in this group will be the inverse of the selected groups. That is, this track group will include only tracks that do not appear in the selected track groups.
Top

Track group selections

3. Track group selections
List all the track groups in the system. Click a checkbox to include the selected track group in this track group.
Top

Colour, Icon and Priority

4. Colour, Icon and Priority
See Listed Track Group settings
Top

OK button

5. OK button
Click the OK button to confirm changes to this track group.
Top

Cancel button

6. Cancel button
Click the Cancel button to confirm changes to this track group.
Top


Move Tracks Window

Move Tracks Window
You can use the Move Tracks Window to easily move tracks from one listed track group to another.

From Track Group

1. From Track Group
Select the track group you want to move tracks from. Select the tracks you wish to move to the other track group and click the right arrow. You can select multiple tracks while holding the CTRL key. You can also double-click tracks to move them to the other track group.
You can select the columns that are displayed in this grid by right clicking the Header and selecting Select columns...
You can right click a track in the track list to show additional options. Here you can select to preview the audio to hear what the track sounds like.
Top

To Track Group

2. To Track Group
Select the track group you want to move tracks to. Select the tracks you wish to move to the other track group and click the left arrow. You can select multiple tracks while holding the CTRL key. You can also double-click tracks to move them to the other track group.
You can select the columns that are displayed in this grid by right clicking the Header and selecting Select columns...
You can right click a track in the track list to show additional options. Here you can select to preview the audio to hear what the track sounds like.
Top

Move Track Right

3. Move Track Right
Move the selected track or tracks from the track group on the left to the track group on the right.
Top

Move Track Left

4. Move Track Left
Move the selected track or tracks from the track group on the right to the track group on the left.
Top

OK Button

5. OK Button
Save changes and close the window.
Top

Close Button

6. Close Button
Close the window without saving changes.
Top


Multiple Artist Splits

Multiple Artist Splits are used to define text that is used separate multiple artists that might appear in the Artist field of a track.
For example, an artist of a track might be Take That feat. Lulu. By using a Split with the text feat. this will separate Take That and Lulu as separate artists.
When scheduling against Playout Policies, PlayIt Live can prevent tracks from Take That or Lulu being played too close to Take That feat. Lulu.

The contents of Multiple Artist Splits

Edit Multiple Artist Split Window


Edit Multiple Artist Split Window

Edit Multiple Artist Split Window

Split Text

1. Split Text
The text used to separate a Track Artist into multiple artists. Please note that you should include spaces either side of the text if you intend to split by a word. For example, with on its ownn could match George Michael with Elton John but also Bill Withers.
Top

Matched Artists

2. Matched Artists
This table shows all the artists that are matched given the entered split text. Here you can see if the split text is achieve the desired outcome.
Top

Disabled

Use this checkbox to disable this Multiple Artist Split so it is not considered by the scheduler.
Top


Related Artists

Related Artists are used to associate artists with each other so they are considered as the same artist when scheduling with playout policies. For example, you may not want a solo singer in a band to be played close a song by that band, e.g. Robbie Williams and Take That.

The contents of Related Artists

Edit Related Artist Window


Edit Related Artist Window

Edit Related Artist Window

Artist 1

1. Artist 1
The first artist in the Related Artist. It does not matter in which order artists are entered.
Top

Artist 2

2. Artist 2
The second artist in the Related Artist. It does not matter in which order artists are entered.
Top

Disabled

Use this checkbox to disable this Related Artist so it is not considered by the scheduler.
Top


Monitored Folders

Monitored Folders can watch the state of a folder (and optionally its sub-folders) for new, updated or deleted track files. Monitored Folders can be accessed via Manage > Monitored Folders.
When a file is added to the folder, it will be added to the PlayIt Live database if it is a valid track file. The track file can also be automatically analysed for cue points and added to a track group.
When a file is updated in the folder, it will be updated in the PlayIt Live database, updating the duration, cue points and any file metadata contained within the file if desired.
When a file is deleted from the folder, it will be deleted from the PlayIt Live database.
Monitored folders work by periodically scanning for changes in the folder. Folders with a large number of files or sub-folders will take longer to scan. For this reason, do not use C:\ as the folder to scan for changes to every file on your computer. This will likely never complete. Choose a folder where you know where audio files are.
Use Monitored Folders if you have dynamic content, e.g. news or weather, from a folder such as Dropbox. Create a Monitored Folder with a Path to the shared Dropbox folder to pick up changes from the Dropbox folder.
You can check the Monitored Folders Status window for recent changes to your monitored folders.

The contents of Monitored Folders

Manage Monitored Folders Window
Edit Monitored Folder Window


Manage Monitored Folders Window

Manage Monitored Folders Window
From the Manage Monitored Folders window you can see the list of existing Monitored Folders.


Edit Monitored Folder Window

Edit Monitored Folder Window

Path

The path to the folder you want to monitor.
Top

Include sub-folders

2. Include sub-folders
If checked, sub-folders of the folder will also be scanned. Avoid folders with a large number of sub-folders as this will take a long time to scan.
Top

Analyse cue points

3. Analyse cue points
If checked, when a track file is added the cue points of the track will be analysed.
Top

Re-analyse cue points

4. Re-analyse cue points
If checked, when a track file is updated the cue points of the track will be re-analysed. Do not use this option if you manually set cue points as these will be overwritten.
Top

Update track fields

5. Update track fields
If checked, when a track file is updated the fields of the track will be updated from the file. Do not use this option if you manually change the track fields as these will be overwritten.
Top

Delete tracks

6. Delete tracks
If checked, a track will be deleted if the track file is deleted. A track file is determined to be deleted if it is not found after scanning the folder. If a network folder or external drive is used in a monitored folder and this folder is disconnected or drive unplugged, PlayIt Live will determine that this file is deleted and will delete the corresponding track.
When a track is deleted, it is unlinked in a clock or the playout log. In this case, you will see the message "<missing track>" in the playout log. If this folder is regularly updated where a file is deleted and subsequently replaced with a file of the same name, you should switch this option OFF - clocks and the playout log will maintain the original reference and use the new track file.
Top

Add tracks to track group

7. Add tracks to track group
If checked, new tracks will be added to the selected track group. Tracks will not be re-added to this track group if they are subsequently removed from the group.
Top

Disabled

If checked, the monitored folder will be disabled and will not be monitored.
Top


Logged Tracks

Logged tracks are tracks that have been logged in the past by PlayIt Live. Stored with each track is a timestamp to tell when it was played.
In Decks Mode a track is logged if it is played for more than 75% of its duration.
In Live-Assist Mode a track is logged if it has started playing and exists in the playout log in the past.

The contents of Logged Tracks

Logged Tracks Window


Logged Tracks Window

Logged Tracks Window
The Logged Tracks window show a list of the recently logged tracks. It is possible to export the visible list to CSV format to import into Excel or another spreadsheet application for reporting.

Past 24 hours filter selection

1. Past 24 hours filter selection
Filters the logged tracks list to those logged in the past 24 hours.
Top

Past 7 days filter selection

2. Past 7 days filter selection
Filters the logged tracks list to those logged in the past 7 days.
Top

Past 30 days filter selection

3. Past 30 days filter selection
Filters the logged tracks list to those logged in the past 30 days.
Top

Custom date filter selection

4. Custom date filter selection
Filters the logged tracks list by a custom date range. Select the dates using the calendar drop down and select the time.
Top

Logged track list

5. Logged track list
Displays the list of logged tracks.
Top

Export to CSV button

6. Export to CSV button
Click the CSV button to export the current visible logged track list to CSV (comma separated values) format. This format can be imported into spreadsheet applications for reporting purposes.
When you the click CSV button a window will be shown allowing you to select the fields you wish to export:
Click Export to select a file to export to.
Top

Close button

7. Close button
Click the Close button to close the Logged Tracks window.
Top


Playout Policies

Playout policies define a set of rules to ensure the correct tracks are played. Playout policies restrict artists and tracks from being repeated too often. They can be filtered by track group.
There are two type of playout policy, Track/Artist Separation Playout Policy and Daypart Separation Playout Policy
With Track/Artist Separation Playout Policy, it is possible to ensure that tracks in a track group of Songs are not repeated for at least 2 hours while ensuring tracks in a track group of Jingles are not repeated for only at last 10 minutes.
With Daypart Separation Playout Policy, it is possible to ensure that a track in the track group Songs is not repeated again in the same Daypart (e.g. Breakfast) for a period of days. This means regular listeners to the Breakfast show will not hear the same song repeated during the times when they regularly listen. Daypart Separation Playout Policies require the Advanced Scheduling module.

The contents of Playout Policies

Manage Playout Policies Window
Choose Playout Policy Type Window
Edit Track / Artist Separation Playout Policy Window
Edit Daypart Separation Playout Policy Window


Manage Playout Policies Window

Manage Playout Policies Window

Playout policy list

1. Playout policy list
Lists all the playout policies in the system. Double-click an entry to begin editing and launch the Edit Track / Artist Separation Playout Policy Window or Edit Daypart Separation Playout Policy Window .
Top

Delete button

2. Delete button
Click the Delete button to remove the playout policy from the system.
Top

Add New button

3. Add New button
Click the Add New button to begin adding a new playout policy to the system and launch the Choose Playout Policy Type Window .
Top

Edit button

4. Edit button
Click the Edit button to begin editing the selected playout policy and launch the Edit Track / Artist Separation Playout Policy Window or Edit Daypart Separation Playout Policy Window .
Top

OK button

5. OK button
Click the OK button to save changes.
Top

Cancel button

6. Cancel button
Click the Cancel button to discard changes.
Top


Choose Playout Policy Type Window

Choose Playout Policy Type Window

Track / Artist Separation Playout Policy

1. Track / Artist Separation Playout Policy
Track / Artist Separation Playout Polices ensure that the same track or artist is not repeated for a period of time. Selecting this type will open the Edit Track / Artist Separation Playout Policy Window.
Top

Daypart Separation Playout Policy

2. Daypart Separation Playout Policy
Daypart Separation Playout Policies ensure that the same track is not repeated in the same daypart (e.g. Breakfast) for a period of time. The feature requires the Advanced Scheduling module indicated by the AS indicator. Selecting this type will open the Edit Daypart Separation Playout Policy Window.
Top

OK

Confirm your selection.
Top

Cancel

Cancel your selection and close the window.
Top


Edit Track / Artist Separation Playout Policy Window

Edit Track / Artist Separation Playout Policy Window

Track separation time

1. Track separation time
Use the up and down arrows to change the minimum number of hours/minutes that should pass before a track is played again. Use the dropdown to change the time unit from hours to minutes.
Top

Artist separation time

2. Artist separation time
Use the up and down arrows to change the minimum number of hours/minutes that should pass before an artist is played again. Use the dropdown to change the time unit from hours to minutes.
Top

Title separation time

3. Title separation time
Use the up and down arrows to change the minimum number of hours/minutes that should pass before a title is played again. Use the dropdown to change the time unit from hours to minutes.
What is the difference between track separation and title separation?
Track separation ensures that the same recording isn't played too frequently by recognising each track instance as unique.
Title separation deals with different songs that share the same title, such as Christmas songs. For example, multiple artists might have their own versions of "Silent Night". Bear in mind this will also separate completely different songs that happen to have the same title, such as 'Hello' by Adele and 'Hello' by Lionel Richie, or 'The Power of Love' by Jennifer Rush, 'The Power of Love' by Frankie Goes to Hollywood and 'The Power of Love' by Huey Lewis and the News.
Top

Specific track groups filter

4. Specific track groups filter
Check the checkbox to ensure this playout policy is only applied to the selected tracks. Leave the checkbox unchecked to apply the policy to all tracks.
Top

Playout policy name

5. Playout policy name
The name of the playout policy.
Top

Disabled

Disable a playout policy so it is not considered by the scheduler
Top

OK button

7. OK button
Click the OK button to confirm changes to the playout policy.
Top

Cancel button

8. Cancel button
Click the Cancel button to discard changes.
Top


Edit Daypart Separation Playout Policy Window

Edit Daypart Separation Playout Policy Window
It is possible to ensure that a track in the track group Songs is not repeated again in the same Daypart (e.g. Breakfast) for a period of days. This means regular listeners to the Breakfast show will not hear the same song repeated during the times when they regularly listen.

Track separation time

1. Track separation time
The number of days to wait before playing the same track again in this daypart.
Top

Daypart

The daypart for this policy. If no dayparts are shown, or to update a daypart, click the Manage Dayparts button.
Top

Specific track groups filter

3. Specific track groups filter
Check the checkbox to ensure this playout policy is only applied to the selected tracks. Leave the checkbox unchecked to apply the policy to all tracks.
Top

Name

The name of the playout policy.
Top

Disabled

Disable a playout policy so it is not considered by the scheduler
Top

OK

Click the OK button to confirm changes to the playout policy.
Top

Cancel

Click the Cancel button to discard changes.
Top

The contents of Edit Daypart Separation Playout Policy Window

Manage Dayparts Window
Edit Daypart Window


Manage Dayparts Window

Manage Dayparts Window
A daypart defined a period of time during the week, typically a regular listening period for a target listener, such a Breakfast or Drive. There are used by Daypart Separation Playout Policies to prevent the same track from being played during a daypart of a period of days.

Daypart list

1. Daypart list
Lists all the dayparts in the system. Double-click an entry to begin editing and launch the Edit Daypart Window .
Top

Delete button

2. Delete button
Click the Delete button to remove the daypart from the system.
Top

Add New

3. Add New
Click the Add New button to begin adding a new daypart to the system and launch the Edit Daypart Window .
Top

Edit

Click the Edit button to begin editing the selected daypart and launch the Edit Daypart Window .
Top

OK

Click the Cancel button to discard changes.
Top

Cancel

<TODO>: Insert description text here...
Top


Edit Daypart Window

Edit Daypart Window
A daypart defined a period of time during the week, typically a regular listening period for a target listener, such a Breakfast or Drive. There are used by Daypart Separation Playout Policies to prevent the same track from being played during a daypart of a period of days.

Name

The name of the daypart.
Top

Days/Hours selection

2. Days/Hours selection
The Days/Hours section shows which hours on which days apply to the daypart. In this example, we have defined Drive as the 4pm, 5pm, and 6pm hours, Monday to Friday.
To change whether an hour is assigned to the daypart, click the cell and type Y or N for Yes or No and press Enter.
To change every day for a specific hour, click the column heading and type Y or N for Yes or No and press Enter.
To change every hour for a specific day, click the row heading and type Y or N for Yes or No and press Enter.
You can also drag to select a range of hours and type Y or N for Yes or No and press Enter.
With a range selected, you can press Delete to clear the selected cells.
Note that 'No' entries will appear as blank cells.
Top

OK

Click the OK button to save changes.
Top

Cancel

Click the Cancel button to discard changes.
Top


Playout Pattern

The playout pattern is the repeated pattern of track groups that are used by the playout log. For example, a playout pattern can be configured with the following track groups:
Songs
Jingles
Promos
which will result in Songs, Jingles and Promos being repeated back to back over the hour.

The contents of Playout Pattern

Manage Playout Pattern Window


Manage Playout Pattern Window

Manage Playout Pattern Window

Track group list

1. Track group list
Lists all tracks that can be added to the playout pattern.
Top

Add to playout pattern button

2. Add to playout pattern button
Click the > button to add the selected track group from the Track group list to the playout pattern.
Top

Playout pattern track group list

3. Playout pattern track group list
Lists all the tracks in the playout pattern in order.
Top

Remove from playout pattern button

4. Remove from playout pattern button
Click the < button to remove the selected track group from the playout pattern.
Top

Move up button

5. Move up button
Click the Up button to move the selected playout pattern track group up the list.
Top

Move down button

6. Move down button
Click the Down button to move the selected playout pattern track group down the list.
Top

OK button

7. OK button
Click the OK button to save changes to the playout pattern.
Top

Cancel button

8. Cancel button
Click the Cancel button to discard changes.
Top


Scheduling

It is possible to schedule items in the playout log for the future. This allows for future planning and to see what tracks will play ahead of time.
Typically, hour-long templates called clocks are created and then scheduled to individual hours. The playout log can then be scheduled and set in time. The playout log can be tweaked by the user for their needs.
A detailed video demonstrating the scheduling features in PlayIt Live can be found on the PlayIt Software YouTube channel: https://www.youtube.com/watch?v=14Ksmcf5Cy8

The contents of Scheduling

Clocks
Scheduling Clocks
Playout Log
Advert Scheduling
Scheduled Events


Clocks

Clocks are hour-long templates used to define how an hour of playout content should sound. When a clock is scheduled, the playout log will generate items to schedule based on the clock item. The clock can have a number of clock item types:
Track: The playout log scheduler will always insert the selected track in this position in the playout log.
Track Group: The playout log scheduler will randomly choose a track from the selected track group to insert in this position in the playout log. When scheduling the playout log, any playout policies will be taken into account.
Fixed Time Marker: The playout log scheduler will insert a fixed time marker in this position in the playout log.
Break Note: The playout log scheduler will insert a break note to include in this position in the playout log.
Voice Track: The playout log scheduler will insert a voice track placeholder where the user can record a voice track from the main interface.
Remote URL: The playout log scheduler will insert a remote URL item in this position in the playout log.
Aux Input: The playout log scheduler will insert an aux input item, in this position in the playout log. An aux input item will play a live feed from an input on your sound card.
Advert Block: The playout log scheduler will insert an advert block item, in this position in the playout log. An advert block represents a block of adverts to be played together. The advert tracks that are actually played are determined by the corresponding advert block 'start time' for the scheduled hour in the advert log.
Scheduled Event Action: The playout log scheduler will insert a scheduled event action item in this position in the playout log. A scheduled event action item will triggered scheduled event action inline within the playout log at the specific position. For more information see Scheduled Events
Hook Sequence: The playout log scheduler will insert a hook sequence playout log item in this position in the playout log. A hook sequence will play only the hooks of tracks back to back within a short clip. This allows you to promote songs that will be playing within the next hour or just songs from a specific track group.

The contents of Clocks

Manage Clocks Window
Edit Clock Window
Edit Track Settings Window
Edit Track Group Settings Window
Edit Break Note Settings Window
Edit Fixed Time Marker Settings Window
Edit Voice Track Settings Window
Edit Remote URL Settings Window
Edit Aux Input Settings Window
Edit Advert Block Settings Window
Edit Hook Sequence Settings WIndow
Edit Merge Start Settings Window


Manage Clocks Window

Manage Clocks Window

Clocks list

1. Clocks list
Shows the list of clocks in the system. Double a click an entry to begin editing and launch the Edit Clock Window .
Top

Delete button

2. Delete button
Click the Delete button to remove a clock from the system.
Top

Clone button

3. Clone button
Click the Clone button to create a copy of the selected clock. This is useful if you want to make small adjustments to existing clocks without having to rebuild the entire clock.
Top

Add New button

4. Add New button
Click the Add New button to begin adding a new clock and launch the Edit Clock Window .
Top

Edit button

5. Edit button
Click the Edit button to begin editing the selected clock and launch the Edit Clock Window .
Top

OK button

6. OK button
Click the OK button to save changes.
Top

Cancel button

7. Cancel button
Click the Cancel button to discard changes.
Top

Apply button

8. Apply button
Click the Apply button to save changes without closing the window.
Top


Edit Clock Window

Edit Clock Window

Clock name

1. Clock name
The name of the clock.
Top

Colour

The colour of the clock as displayed on the Schedule Clocks window.
Top

Clock item list

3. Clock item list
The list of items in the clock. Each item features its approximate play time, type, settings, segue flag and notes. To duplicate an item, select it and press CTRL+D. You can also copy a clock item with CTRL+C and paste it somewhere else with CTRL+V. Click and drag items to re-order them in the list.
Top

Play time

4. Play time
The approximate play time of a clock item is determined from the sum of the all the previous item durations. The duration of each item varies on the choice of settings - the duration of a track group item is determined from the average duration of all the tracks in the group. A fixed time marker will cause the play time to reset to the fixed time.
Top

Clock item type

5. Clock item type
The type of the clock item.
Top

Clock item settings

6. Clock item settings
The settings of the clock item. Click the edit icon to launch the edit settings window. Depending on the item type this will either launch the Edit Track Settings Window , Edit Track Group Settings Window , Edit Break Note Settings Window , Edit Fixed Time Marker Settings Window , Edit Voice Track Settings Window , Edit Remote URL Settings Window or Edit Aux Input Settings Window or Edit Hook Sequence Settings Window .
Top

Segue?

When this checkbox is checked it will mark the scheduled playout log item with the same segue selection.
Top

Segue style

8. Segue style
The segue style to apply to the scheduled playout log item. If '--' then the default will be used. For tracks marked as sweeper the default from Settings will be used.
Top

Protected

When this checkbox is checked the scheduled playout log item will have the same protected status. Protected items will not be dropped by Fixed Time Markers or the Auto Adjust feature. Use this for items that must be played during an hour, for example, advert blocks.
Top

Notes

Click the edit item to add notes about this clock item. This is purely for informational purposes.
Top

Delete button

11. Delete button
Click the Delete button to remove the clock item.
Top

Add button

12. Add button
Click the Add button to add a clock item to the end of the list.
Top

OK button

13. OK button
Click the OK button to confirm changes to the clock.
Top

Cancel button

14. Cancel button
Click the Cancel button to discard changes.
Top


Edit Track Settings Window

Edit Track Settings Window

Track Group selector

1. Track Group selector
Use the dropdown to filter the track list by track group.
Top

Track search box

2. Track search box
Use the search text box to filter the track list by artist and title.
Top

Track list

3. Track list
Select the track you wish to include by clicking it in the list. Double click the track in the list to immediately confirm your selection.
Top

OK button

4. OK button
Click the OK button to confirm your selection.
Top

Cancel button

5. Cancel button
Click the Cancel button to discard your selection.
Top


Edit Track Group Settings Window

Edit Track Group Settings Window

Track group list

1. Track group list
Select the track group you wish to include in the clock. Double click the track group in the list to immediately confirm your selection.
Top

Track scheduling strategy

2. Track scheduling strategy
PlayIt Live uses a scheduling strategy when deciding what tracks to select for the Track Group. Here you can select strategy to use. The options are:
Default from settings: Use the scheduling strategy as defined in Settings.
Smart Selection: Selects a track using a weighted random algorithm. A track played longer ago is given a larger weight, increasing its chance of being selected.
Random: Select a track entirely at random from the track group.
Most Rested: Selects the track from the track group that was played longest ago.
Top

OK button

3. OK button
Click the OK button to confirm your selection.
Top

Cancel button

4. Cancel button
Click the Cancel button to discard your selection.
Top


Edit Break Note Settings Window

Edit Break Note Settings Window

Duration selection

1. Duration selection
Use the up and down arrows to change the duration of the break note.
Top

Notes

Use the Notes text to indicate the purpose of the break to the user.
Top

OK button

3. OK button
Click the OK button to confirm your changes.
Top

Cancel button

4. Cancel button
Click the Cancel button to discard your changes.
Top


Edit Fixed Time Marker Settings Window

Edit Fixed Time Marker Settings Window

Fixed time selection

1. Fixed time selection
Use the up and down arrows to select the fixed time for this marker. The fixed time indicates the number of minutes and seconds within the current hour to fix the time. For example, within the 20:00 (8pm) hour, a fixed time marker of --:15:00 would fix the time around 20:15:00 (8:15pm).
Top

Hard type selection

2. Hard type selection
Select this option to select a hard fixed time marker. A hard fixed marker will cause any playing items to immediately fade out and stop and advance to the next playout log item after the fixed time marker.
Top

Soft type selection

3. Soft type selection
Select this option to select a soft fixed time marker. A soft fixed marker will cause any playing items to finish before advancing to the next playout log item after the fixed time marker.
Top

'Not Before' type selection

4. 'Not Before' type selection
Select this option to select a 'not before' fixed time marker. A 'not before' fixed time marker ensure that items following this marker will not be played until at least the fixed time. Not Before fixed time makers are automatically inserted when a new hour is scheduled.
Top

Tolerance

Tracks that start within the tolerance time but cannot finish before the fixed time is reached with not be played. Tolerance can be used to prevent very long tracks from being played close to a fixed time marker and causing large overruns. With tolerance, it is possible for tracks after the fixed time marker to start early.
Top

OK button

6. OK button
Click the OK button to confirm your changes.
Top

Cancel button

7. Cancel button
Click the Cancel button to discard your changes.
Top


Edit Voice Track Settings Window

Edit Voice Track Settings Window

Voice Track Placeholder Duration

1. Voice Track Placeholder Duration
The intended duration of the voice track. This is used to estimate the duration of the track in the log.
Top

OK button

2. OK button
Click the OK button to confirm your changes.
Top

Cancel button

3. Cancel button
Click the Cancel button to discard your changes.
Top


Edit Remote URL Settings Window

Edit Remote URL Settings Window
Remote URL items can play audio from the internet or your internal network.
It is possible to choose either a File or Live Stream:
A File URL typically refers to a static file located on a server which is downloaded by PlayIt Live when it is loaded into a player. Remote files are intended to be a fixed length duration and this must be provided to PlayIt Live in order to ensure the item is scheduled with the correct length (as this is not known until load time).
A Live Stream URL typically refers to an audio stream provided by a streaming media server such as Icecast or Shoutcast and could be an internet radio station or a remote DJ stream. PlayIt Live assumes the live stream will run forever so will attempt to restart the stream if the connection is dropped. PlayIt Live will play the live stream until the specified duration has elapsed. Live streams can also be stopped manually, or by using a hard fixed time marker.

Title

The title of the stream for your reference.
Top

History

Use the History button to use a recent Remote URL. This is handy if you regularly use the same Remote URL and want to quickly populate the settings.
Top

URL

The internet address of the file or stream to play. This should refer to a file or an internet stream. Please note that playlist files (m3u or pls) not supported as they are actually playlist text files that contain the stream to play.
Top

Type

The type of audio the URL refers to.
Top

Duration

For file URLs, this is the expected duration of the file used for scheduling. Use the Get Duration From File button to automatically fetch the duration from the remote file.
For live stream URLs, this is the duration the live stream will play for.
Top

OK button

6. OK button
Click the OK button to confirm your changes.
Top

Cancel button

7. Cancel button
Click the Cancel button to discard your changes.
Top
When Live Stream is selected the duration refers to the duration for which the live stream will play.


Edit Aux Input Settings Window

Edit Aux Input Settings Window
Aux Input items can play live audio from an external input devices on your computer. This is typically used to pull in a live news feed from an external provider such as IRN/Sky News over satellite.

Title

The title for the item. This is shown on the live log.
Top

Input device

2. Input device
The input device to pull the audio from. This can be a stereo or a mono device. Please note that the mono channel of a device cannot be used at the same time if it is used within a stereo channel.
Top

Duration

The duration to play the audio for. The above example will play the live audio feed for 2 minutes and then stop.
Top


Edit Advert Block Settings Window

Edit Advert Block Settings Window
An advert block represents a block of adverts to be played together. The advert tracks that are actually played are determined by the corresponding advert block 'start time' for the scheduled hour in the advert log.

Start Time

1. Start Time
The start time is used to indicate the approximate air time of the advert block within the hour. It is used to match up with the corresponding advert block in the advert log. Note that this does not mean the advert block will play at exactly, e.g. 08:00, past the hour. If you wish to do this, place a fixed time marker before the advert block.
Top

Max Duration

2. Max Duration
This is the maximum duration of the advert block. When the advert log is scheduled, the corresponding advert block will be no longer than this duration.
Top

Max Advert Slots

3. Max Advert Slots
This is the maximum number of adverts that will play in this block. When the advert log is scheduled, there will no more than this number of adverts in the advert block.
Top
For more information, see Advert Scheduling.


Edit Hook Sequence Settings WIndow

Edit Hook Sequence Settings WIndow
Hook sequences are special items that can play a series of short clips of songs known as Hooks back-to-back. It is typically used to promote current types of songs on your station, or songs that will be playing in the next 15-60 minutes. A 3 song hook sequence will be of the following form:
1. In Track - this is a station identifier or audio such as "Coming Up"
2. Song 1 hook - a short snippet of the song.
* The Hook Start and Hook End defined on the Track is used for the best hook selection. If no Hook Start or Hook End is defined on the track a hook starting at 20% into the track will be used.
3. Transition Track - this is a short sweeping track to link Song 1 hook and Song 2 hook together
4. Song 2 hook
5. Transition Track
6. Song 3 hook
7. Out Track - this is the final element to play, typically another station identifier or audio such as "Stay Tuned".
The target duration is used to determine the length of the hook sequence. If the duration of the hooks of the tracks used in the hook sequence is too short or too long, their durations will be adjusted proportionally to ensure the target duration for the hook sequence can be met.
This feature requires the Advanced Scheduling module to play hook sequences.

Name

The name of the hook sequence.
Top

Number of songs

2. Number of songs
The number of songs in the hook sequence. Only tracks with the Type 'Song' will be considered.
Top

Target duration

3. Target duration
The target duration of the hook sequence.
Top

Type

There are 4 types of hook sequence: Track Group Random, Coming Up, Coming Up (Reversed), Coming Up (Random).
A Track Group Random hook sequence will play the hooks from unique random songs from the selected track group.
A Coming Up hook sequence will play the hooks from songs that are scheduled to play in the next X minutes. By default, these hooks will be played in the order their tracks will be broadcast. Reversed will play the same hooks but with the order reversed. Random will randomise the order of the hooks.
Top

Hook elements

5. Hook elements
The hook elements are used at the start, between hooks and end of the hook sequence. Hook elements can be a specific track, or a random track from a specfic track group. Typically hook elements are only a few seconds long.
Top

Advanced Scheduling indicator

6. Advanced Scheduling indicator
The Advanced Scheduling indicator shows if the Advanced Scheduling module has been licensed. It is required to use this feature. If this is shown in red, click the indicator to purchase or start a free trial of the module.
Top

OK

Confirm changes and close the window.
Top

Cancel

Discard changes and close the window.
Top


Edit Merge Start Settings Window

Edit Merge Start Settings Window
A Merge Start item allows you to schedule the insertion of external content, such as commercial traffic logs, into your playout log at a specified point. Place a Merge Start item into your playout log at the point where you want to insert external content, followed by a Merge End to indicate the end of the merge segment. Use the Merge External Log File scheduled event action to perform the merge operation.
This is typically used to insert commercial traffic logs.

Start Time

1. Start Time
The Start Time field specifies the intended time at which the Merge Start item will take effect in the playout log. This ensures the correct timed content from the external merge log, such as a commercial traffic log, is merged.
Top

Duration

The Duration indicates the approximate length of the merged content. This duration helps the scheduler allocate sufficient time for the merged content to fit into the playout log.
Top

Advanced Scheduling Indicator

3. Advanced Scheduling Indicator
The Advanced Scheduling indicator shows if the Advanced Scheduling module has been licensed. It is required to use this feature. If this is shown in red, click the indicator to purchase or start a free trial of the module.
Top

OK

Confirm the changes and close the window.
Top

Cancel

Discard changes and close the window.
Top


Scheduling Clocks

Clocks can be assigned to individual hours of the day throughout the week. The playout log scheduler will use clocks assigned to hours to determine the items that are scheduled as part of the playout log.

The contents of Scheduling Clocks

Schedule Clocks Window
Select Clock Window
Edit Schedule Item Window
Edit Recurring Item Window


Schedule Clocks Window

Schedule Clocks Window
To schedule a clock, drag of a free slot and select a clock from the Select Clock Window .

Previous week button

1. Previous week button
Click the Previous week button to move the schedule calendar back a week.
Top

Next week button

2. Next week button
Click the Next week button to move the schedule calendar forward a week.
Top

Hour heading

3. Hour heading
The heading for the hour row in the grid. The current hour is shown in red.
Top

Day heading

4. Day heading
The heading for the day column in the grid. The current day is shown in red.
Top

Schedule item

5. Schedule item
Double click the schedule item in the calendar to begin editing it and launch the Edit Schedule Item Window. If the schedule item is a recurring one the Edit Recurring Item Window will first be shown.
The colour of the schedule item is determined by the colour of the clock when editing the clock via the Edit Clock Window .
Top

Add New button

6. Add New button
Click the Add New button to schedule a new clock and launch the Select Clock Window .
Top

OK button

7. OK button
Click the OK button to confirm changes to the schedule.
Top

Cancel button

8. Cancel button
Click the Cancel button to discard changes.
Top


Select Clock Window

Select Clock Window
The Select Clock window is shown when you click the Add New button on the Schedule Clocks window or when you click the Clock name on the Edit Schedule Item window.

Clock list

1. Clock list
Click the item to select the clock you wish to schedule. Double-click the item to immediately select the clock and return to the Edit Schedule Item Window.
Top

OK button

2. OK button
Click the OK button to select the clock from the list and return to the Edit Schedule Item Window .
Top

Cancel button

3. Cancel button
Click the Cancel button to close the window.
Top


Edit Schedule Item Window

Edit Schedule Item Window
Inclusive of this time

Scheduled clock

1. Scheduled clock
The clock that is being scheduled. Click the underlined name of the clock to select a different clock and launch the Select Clock Window
Top

Start time

2. Start time
The start time of the scheduled clock. For recurring (repeated) scheduled clocks this indicates the first occurrence.
Top

Finish time

3. Finish time
The finish time of the scheduled clock. Clocks are restricted to a duration of exactly one hour.
Top

Repeat checkbox

4. Repeat checkbox
Use the repeat checkbox to repeat this scheduled clock multiple times in the future.
Top

Repeat period

5. Repeat period
Use the repeat period dropdown to select how often the scheduled clock repeats over time.
Top

Repeat every...

6. Repeat every...
Use the repeat every... dropdown to select how often the scheduled clock repeats over time.
Top

Repeat on...

7. Repeat on...
Only available when Weekly is selected as the repeat period, use the repeat on... checkboxes to select which days of the week the scheduled clock will repeat on.
Top

Repeat at...

8. Repeat at...
Only available when Daily is selected as the repeat period, use the repeat on... options to select which hours the scheduled clock will repeat on. Click the All option to select all hours.
Top

Repeat until...

9. Repeat until...
Select Forever to repeat this scheduled clock indefinitely. Select This Time to repeat this scheduled clock until the selected time (inclusive).
Top

OK button

10. OK button
Click the OK button to confirm changes.
Top

Cancel button

11. Cancel button
Click the Cancel button to discard changes.
Top


Edit Recurring Item Window

Edit Recurring Item Window
The Edit Recurring Item Window will be shown when you try and edit or delete a recurring schedule item. This allows you decide if you wish to edit only the occurrence that you clicked on; the occurrence you clicked on and all future occurrences; or all occurrences


Playout Log

The playout log indicates past and future events that are scheduled to take place from hour to hour. Based on the clocks that are scheduled via the Schedule Clocks Window the playout log scheduler will generate playout log items matching the clock items. If a clock has not been scheduled for an hour, the playout pattern will be used to generate the playout log items.

The contents of Playout Log

Edit Playout Log Window
Edit Playout Log Window (Scheduled)
Import Playout Log Window
Export Playout Log Window


Edit Playout Log Window

Edit Playout Log Window

Range start time selector

1. Range start time selector
Use the date and time selectors to show in the playout log list only items that begin on or after the selected time.
Top

Range end time selector

2. Range end time selector
Use the date and time selectors to show in the playout log list only items that begin before the selected time.
Top

Import button

3. Import button
Click the Import button to import a log generated from an external scheduler. See Import Playout Log Window .
Top

Export button

4. Export button
Click the Export button to export the log to the PlayIt Live Playout Log format so it can be imported to another date or time. See Export Playout Log Window.
Top

Schedule button

5. Schedule button
Click the Schedule button to generate playout log items based on the clocks that have been created via the Manage Clocks Window and scheduled via the Schedule Clocks Window . If a clock has not been scheduled for a given hour slot, the playout pattern will be used.
Top

Unschedule button

6. Unschedule button
Click the Unschedule button to remove all the visible items from the list.
Top

Playout log

7. Playout log
The playout log list shows all the items currently scheduled for the selected time range. Playout log items are grouped by hour and are ordered by the position they appear in the hour. A fully scheduled hour and more information on using list can be found at Edit Playout Log Window (Scheduled) .
Top

Add button

8. Add button
Click the Add button to add a new playout log item below the selected item.
Top

OK button

9. OK button
Click the OK button to save all changes made to the playout log and return to the main window.
Top

Cancel button

10. Cancel button
Click the Cancel button to discard all changes made to the playout log and return to the main window.
Top

Apply button

11. Apply button
Click the Apply button to save all changes made to the playout log but leave this window open.
Top


Edit Playout Log Window (Scheduled)

Edit Playout Log Window (Scheduled)

Hour group

1. Hour group
Each playout log item belongs to an hour group.
Top

Play time

2. Play time
Each playout log item has an approximate play time. Assuming previous hours do not over or under run this time should be accurate. The Played? column will display Y when the item has been played.
Top

Hour position

3. Hour position
The position in the hour. The position can be changed by dragging the item up or down the list.
Top

Item type

4. Item type
The type of the playout log item. The available options are:
Track: Choose a specific track to play.
Fixed Time Marker: Choose a fixed time marker to keep to time within the hour.
Break Note: Choose a break note to include in this position in the playout log.
Voice Track: Choose a voice track to insert a voice track placeholder and record a voice track via the main interface.
Remote URL: Choose a remote URL file or stream to include in this position in the log.
Aux Input: Choose an external audio input to include in this position in the log.
Advert Block: Choose an advert block to play a sequence of adverts together as part of the advert log.
Top

Item settings

5. Item settings
The settings for the playout log item. Click the pencil icon to begin editing and launch the settings window. The settings windows used for the playout log item settings are similar to the clock item settings: Edit Track Settings Window , Edit Break Note Settings Window , Edit Fixed Time Marker Settings Window , Edit Voice Track Settings Window or Edit Remote URL Settings Window or Edit Aux Input Settings Window or Edit Advert Block Settings Window .
Top

Segue type

6. Segue type
Check the segue checkbox to ensure that, when playing the item, the player automatically advances to the next item when it reaches the out point.
Top

Segue style

7. Segue style
The segue style to use for the playout log item. More information about segue styles can be found on the Segue Editor section.
Top

Protected?

Protected items will not be dropped by Fixed Time Markers or the Auto Adjust feature. Use this for items that must be played during an hour, for example, advert blocks.
Top

Delete button

9. Delete button
Click the Delete button to remove the item from the playout log.
Top


Import Playout Log Window

Import Playout Log Window
You can use the Import Playout Log window to import logs from an external scheduler. Currently the import feature supports PlayIt's own Playout Log Format (pipl), M3U playlist format and SS32 (Scott Studios) format (deprecated).
For example playout log formats, see PlayIt Playout Log Format and M3U Playlist Format.
The SS32 (Scott Studios) format is deprecated and will be removed in a future update. Please contact support if you wish to learn more about this.
When a file is imported, the entire log for the date range will be cleared and replaced with the imported file. Click the Import button to import the file and review the updated log before applying the changes from Playout Log window. If there are any errors processing the imported log file, you will be prompted to view these when the import process has completed.

Import file

1. Import file
The file to import.
Top

Format

The format of the file to be imported.
Top

Base audio folder

3. Base audio folder
The base audio folder to be used by the importer. This is optional, and used with the M3U or SS32 format. The M3U or SS32 format can contain relative paths to files, so the base audio folder is used to create an absolute path to the file.
Top

Date range

4. Date range
The date range to import into. Any existing log entries for the selected date range will be cleared and replaced with the imported log.
Top

Status

The status shows any issues with the selected import file. If the duration of the file content does not match the date range you will be prompted to change the duration of the date range to match.
Top

Import button

6. Import button
Click the Import button to start the importing process.
Top

Cancel button

7. Cancel button
Click the Cancel button to close the window.
Top

The contents of Import Playout Log Window

PlayIt Playout Log Format
M3U Playlist Format


PlayIt Playout Log Format

×

  • Administration
  • Scheduling
  • Playout Log
  • Import Playout Log Window
  • PlayIt Playout Log Format
  • Previous page
  • Next page

PlayIt Playout Log Format

See PlayIt Playout Log Format specification dedicated website. This website contains the full specification for this format along with a validator to check your exported logs.


M3U Playlist Format

×

  • Administration
  • Scheduling
  • Playout Log
  • Import Playout Log Window
  • M3U Playlist Format
  • Previous page
  • Next page

M3U Playlist Format

The M3U Playlist format is simply a list of audio files in a text file. To separate the playlist file into hours, a # Hour: comment can be used indicate which hour the track file belongs in. An example of an M3U Playlist file supported by PlayIt Live is below:
# Hour: 00:00
G:\PlayIt User\Music\Jingles\Publicise Your Event ID.mp3
G:\PlayIt User\Music\Songs\Sam and the Womp - Bom Bom.mp3
G:\PlayIt User\Music\Songs\Fenech-Soler - All I Know.mp3
...
# Hour: 01:00
G:\PlayIt User\Music\Jingles\City Locations ID A.mp3
G:\PlayIt User\Music\Songs\Lianne La Havas - Is Your Love Big Enough.mp3
G:\PlayIt User\Music\Songs\Of Monsters and Men - Mountain Sound.mp3
G:\PlayIt User\Music\Jingles\Contact Studio On Text & Email ID.mp3
Special items, such as fixed time markers, can also be added via the M3U Playlist format. This can be done by adding a line as follows:
# Fixed Time Marker: Type=Hard; TargetTime=3m02s - Hard fixed time marker at 3 minutes 2 seconds past the hour
# Fixed Time Marker: Type=Soft; TargetTime=3m - Soft fixed time marker at 3 minutes past the hour
# Fixed Time Marker: Type=NotBefore; TargetTime=5s - Not Before fixed time marker at 5 seconds past the hour
# Break Note: Duration=1m1s; Notes="News on the hour" - Break note lasting 1 minute and 1 second with the notes News on the hour
# Voice Track Placeholder: Duration=1m - Voice track placeholder lasting 1 minute.
# URL: Duration=1m; Title="News"; URL="http://www.mywebsite.com/news.mp3"; Type=File - Example of a file URL
# URL: Duration=60m; Title="Simulcasted show"; URL="http://www.mywebsite.com/live"; Type=Live - Example of a live URL
# Aux Input: Duration=2m; Title="Sky News"; DeviceName="Microphone (USB Audio Codec)" - Aux input from the microphone device


Export Playout Log Window

Export Playout Log Window
The Export Playout Log window is used to export the selected dates to a text file so this can be imported to a different date or modified and re-imported.

Date Range

1. Date Range
The date range to export.
Top

Format

The format of the export. This can be either PlayIt Playout Log Format, which can be used to import back into PlayIt Live at a different time; or Plain Text Format, which can be used to distribute the playout log to other presenters for show planning.
Top

Export button

3. Export button
Export the selected date range. You will be prompted to select a file to save the playout log to.
Top

Close button

4. Close button
Close the window without exporting.
Top


Advert Scheduling

PLEASE NOTE:
Advert scheduling is a premium feature of PlayIt Live and requires a valid Advanced Scheduling module applied to the PlayIt Live licence to enable full functionality. Without a valid Advanced Scheduling module applied it is not possible to schedule the advert log or play advert blocks. To use advert scheduling in PlayIt Live, purchase the Advanced Scheduling module and refresh your PlayIt Live licence. You can try out the module by going to Help > Licencing Information and clicking Start Trial.
Advert scheduling allows the scheduling of adverts (also called spots, commercials or traffic). This is accomplished by setting up Advert Campaigns with Adverts, then adding an Advert Block to the Playout Log and scheduling the Advert Log for that hour.
Advert Campaign
An advert campaign represents an advert sales order, a request from a customer to play a set of adverts a specified number of times, during certain times of the day for a period of time. Advert campaigns in the same category will never be scheduled in the same block.
Advert
An advert represents a cut of audio to play as part of an advert campaign. An Advert also stores at what times of the day the audio will play up to a maximum number of plays. Adverts feature a 'duration' field which is used to schedule the advert. This is best kept to a multiple of 5, e.g. 10, 15, 30 seconds, to ensure that adverts can be fitted into advert blocks of 1 minute, 2 minutes, etc.
Advert Block
An advert block is a sequence of adverts that are played together as part of the advert log.
Advert Log
The historical log and future log of the adverts that have played and will play.
Advert Block Item
An Advert Block item can be added to a Clock or the Playout Log in order to actually play out the adverts.
Adding an Advert Block item to the playout log instructs the playout engine to look up the adverts from the Advert Log for the specified hour and start time and load them into a player. Despite being multiple tracks, advert block items only take up one player - the same player is reused for each advert track.
Adding an Advert Block item to a clock will add the equivalent item to Playout Log for any hour the clock is scheduled into.
When Advert Blocks are used in Live Assist you will be warned when no adverts have been scheduled in the Advert Log for that block. If you switch Log Scheduler ON then advert blocks will automatically be scheduled for the upcoming hour.
Advert Play Report
When adverts have been played it is possible to produce a report of when the adverts were played. This report can be presented to the customer to prove that the adverts were played.

The contents of Advert Scheduling

Advert Campaigns
Advert Log
Advert Play Report


Advert Campaigns

An advert campaign represents an advert sales order, a request from a customer to play a set of adverts a specified number of times, during certain times of the day for a period of time. Advert campaigns in the same category will never be scheduled in the same block.

Licencing information

1. Licencing information
A reminder that Advert Scheduling is a premium module and requires the Advanced Scheduling Module. Click the See Licencing Information link to start a trial.
Top

Advert campaign list

2. Advert campaign list
<TODO>: Insert description text here...
Top

Add New/Edit buttons

3. Add New/Edit buttons
Click the Add New button to add a new campaign and the Edit button to edit the selected campaign. This launches the Edit Advert Campaign Window.
Top

OK/Cancel/Apply

Click the OK button to confirm changes and close the window. Click the Cancel button to discard changes. Click the Apply button to confirm changes but keep the window open.
Top

The contents of Advert Campaigns

Edit Advert Campaign Window
Edit Advert Window


Edit Advert Campaign Window

×

  • Administration
  • Scheduling
  • Advert Scheduling
  • Advert Campaigns
  • Edit Advert Campaign Window
  • Previous page
  • Next page

Edit Advert Campaign Window

Edit Advert Campaign Window

Name

The name of the campaign. This is displayed in the Campaign List.
Top

Company

The name of the company/customer.
Top

Date range

3. Date range
The range of dates between which the advert schedule will schedule this campaign. It is still possible to manually schedule the campaign outside these dates.
Top

Categories

The categories for which the advert campaign belongs. Categories can be used to prevent adverts of the same kind being played in the same advert block. For example, you would not want two competing fast food restaurants to be played in the same advert block. Adverts in advert campaigns with the same category will never be played in the same advert block.
Top

Adverts

The adverts that belong to this campaign. An advert represents a cut of audio that can be played at specified times of the day or week up to a maximum number of plays for the campaign.
Top

Disabled

If the campaign is disabled it will not be scheduled automatically by the advert scheduler.
Top

OK/Cancel

Click OK to save changes and close the window. Click Cancel to discard any changes.
Top


Edit Advert Window

×

  • Administration
  • Scheduling
  • Advert Scheduling
  • Advert Campaigns
  • Edit Advert Window
  • Previous page
  • Next page

Edit Advert Window

Edit Advert Window

Advert audio

1. Advert audio
The audio cut to play for the advert. Choose from an existing track already added to PlayIt Live or choose a file from disk.
Top

Duration

This is the duration of the advert track. This is expressed in whole seconds and is used by the advert schedule to ensure an advert block does not over duration. This field is automatically populated when you choose a track or audio file. This duration is usually best kept at a multiple of 5 (e.g. 5, 10, 15, 30 seconds) in order to help the scheduler fit adverts into whole minutes, such as 1 minute, 2 minutes.
Top

Plays

The Plays section shows how many times the advert should be played on certain times of the day or week. By default, the advert tries to play in every hour where an advert block is scheduled. In the example above, the advert will only be scheduled during Breakfast (6am to 10am) and Drive (4pm to 7pm).
To change the number of plays for a day and hour, click the cell, type in the number of plays and press Enter.
-> [image] ->
To change every day for a specific hour, click the column heading, type in the number of plays and press Enter.
-> [image] ->
The same applies for changing every hour for a specific day. Click the row heading, type in the number of plays and press Enter.
Top

Max plays

4. Max plays
This is the maximum number of times the advert will play during the campaign dates. Click the Calculate link to calculate the maximum based on the campaign duration and the selected plays above.
Top

OK / Cancel

5. OK / Cancel
Click the OK button to save the changes. Click the Cancel button to discard the changes.
Top


Advert Log

Date range

1. Date range
Change the date range to see the scheduled advert log items for that range.
Top

Schedule button

2. Schedule button
Click the Schedule button to schedule advert log items for the selected date range. The advert blocks and adverts that are scheduled are based on the Advert Block items that are scheduled in the playout log for the selected date range. If no adverts are scheduled after clicking Schedule, first make sure there are Advert Block items scheduled in the playout log.
Top

Unschedule button

3. Unschedule button
Removes all scheduled log items for the selected date range.
Top

Hour group

4. Hour group
A group showing to which hour the advert log items belong.
Top

Advert block group

5. Advert block group
A group showing to which advert block the advert log items belong. You can change the 'start time' of the advert block by clicking the pencil icon. You need to ensure that there is a corresponding Advert Block item in the playout log for the hour so the adverts play out.
Top

Advert row

6. Advert row
A row showing the advert log item to be played. If the advert has already been played then the Played? and Play Time fields will be populated. Use the dropdowns to select the Campaign and Advert if you want to manually choose the adverts.
Top

Add buttons

7. Add buttons
Click the Add button to add a new advert row to the advert log. Click the Add Block button to add a new advert row to a new block in the advert log.
Top

OK / Cancel / Apply buttons

8. OK / Cancel / Apply buttons
Click the OK button to save the changes and close the window. Click the Cancel button to discard the changes and close the window. Click the Apply button to save the changes but keep the window open.
Top


Advert Play Report

Advert Play Report
The Advert Play Report window can be used to produce a report of the times when adverts for a campaign played. This can be then be given to the customer as a proof of plays.
To generate a report, select the advert campaign and select the start and end dates (or click Set to Campaign Dates to use the dates of the campaign). Then click Generate Play Report.
A CSV report will be generated in the file location you choose. This report can be opened in any spreadsheet tool such as Microsoft Excel or Google Sheets.


Scheduled Events

Scheduled Events can be used to trigger actions at a specific time (one-off or recurring). For example, you may wish to start playout at a specific time, change the playout mode to Auto when PlayIt Live starts or automatically insert adverts every hour.
To get started, go to Manage > Scheduled Events and click Add New:
Enter a name for the event and when you want it to trigger. You can choose for it to trigger at a specific time (Once), recurring (Daily or Weekly) or when PlayIt Live starts (On startup). When choosing Daily you can select additional hours for when you want the event to trigger - this also means you can set the event to trigger every hour. When choosing Weekly you can select additional days for when you want to the event to trigger - this also means you can set the event to trigger at the same time every day.
Every event has a series of actions which are executed sequentially when the event is triggered. Click the [+] button to add an action.
There are a range of actions available, simply double-click on the action you wish to execute in the event. Some actions require additional parameters for which you will be prompted after you have selected the action.
Action parameters that are more complex and may require more explanation are Insert Track, Insert Special and Insert External Log/Playlist.
After configuring the action it will appear in the list. Simply add more actions as you need them. Use the Move Up and Move Down buttons to reorder the actions if required.
You can set events to expire after a specific time if they are no longer valid, or disable them completely.
Click OK to close the window and return to the Managed Scheduled Events window.
Remember to click Apply or OK on the Manage Scheduled Events window to apply your changes.
TIP: Use the Clone button [image] on the Events list or Actions list to quickly duplicate the item.
When the specific time is reached, or PlayIt Live is started, the scheduled events will be triggered.
NOTE:
Events are triggered sequentially. If you have two events set to trigger at 23:15:00, all the actions in one event will be triggered, immediately followed by all the actions in the next.

The contents of Scheduled Events

Insert Track Action
Insert Special Action
Insert External Log/Playlist Action
Merge External Log File Action


Insert Track Action

Insert Track Action
Use the Insert Track action to insert a track into the log at a specific position. Select from a Track from the Track List, a Track Group from the Track Group List or a File from the file system.
You can choose to insert the track to play next (after the current track), at the end of the current hour, at the start of the next hour or the end of the next hour.
If you choose to select a track from a track group, you can choose to try to respect existing playout policies. When selected, PlayIt Live will try to insert a track from the track group that does not violate the playout policies. If it cannot find a track, it will simply insert on from the track group at random.
If you choose to select a file from the file system, you can choose whether to automatically analyse the file for silence at the start and the end of the track.


Insert Special Action

Insert Special Action
Use the Insert Special action to insert special playout log item types, such as Fixed Time Markers, Break Notes, Remote URLs or Aux Inputs.
You can choose to insert the track to play next (after the current track), at the end of the current hour, at the start of the next hour or the end of the next hour.


Insert External Log/Playlist Action

Insert External Log/Playlist Action
The Insert External Log/Playlist action can be used to insert a log from an external scheduler or a playlist from another media player. For Specific file simply select the file from your file system. This action will behave the same way as when importing a log via the Import Playout Log Window except the current log will not be replaced, log items in the selected file will be inserted in the selected position.
It is also possible to insert a log/playlist file based on the name of a file in a folder. For example, you can select an Adverts folder, and then name files based on the time when they should play. In the example above, the date pattern used allows for a file name to be chosen dynamically based on the time of day.
Dynamic date parts are enclosed in % signs. Other text is treated as normal text. Date parts that can be used are:
%yy%: 2 digit year.
%yyyy%: 4 digit year.
%M%: Month of year (e.g. 6)
%MM%: Month of year, zero-padded (e.g. 06)
%MMM%: Abbreviated month name (e.g. Jun)
%MMMM%: Full month name (e.g. June)
%d%: Day or month (e.g. 3)
%dd%: Day of month (zero-padded, e.g. 03)
%ddd%: Abbreviated day name (e.g. Sat)
%dddd%: Full day name (e.g. Saturday)
%H%: Hour of day in 24-hour clock (e.g. 7)
%HH%: Hour of day in 24-hour clock, zero-padded (e.g. 07)
%h%: Hour of day in 12-hour clock (e.g. 7)
%hh%: Hour of day in 12-hour clock, zero-padded (e.g. 07)
%tt%: AM/PM designator, (e.g. PM)


Merge External Log File Action

Merge External Log File Action
The Merge External Log File Action is used to merge external playout content, such as commercial traffic logs, into the playout log.
Folder:
Specify the folder where the external log files are stored. use the Browse button to select the folder path.
Date pattern:
Defines the naming convention of the external log files using dynamic date parts enclosed in % signs. This ensures that the correct file is loaded based on the current date and time.
Other text is treated as normal text. Date parts that can be used are:
%yy%: 2 digit year.
%yyyy%: 4 digit year.
%M%: Month of year (e.g. 6)
%MM%: Month of year, zero-padded (e.g. 06)
%MMM%: Abbreviated month name (e.g. Jun)
%MMMM%: Full month name (e.g. June)
%d%: Day or month (e.g. 3)
%dd%: Day of month (zero-padded, e.g. 03)
%ddd%: Abbreviated day name (e.g. Sat)
%dddd%: Full day name (e.g. Saturday)
%H%: Hour of day in 24-hour clock (e.g. 7)
%HH%: Hour of day in 24-hour clock, zero-padded (e.g. 07)
%h%: Hour of day in 12-hour clock (e.g. 7)
%hh%: Hour of day in 12-hour clock, zero-padded (e.g. 07)
%tt%: AM/PM designator, (e.g. PM)
Merge type:
Determines the scope of the merge:
Day: Merges all items from the external file for the rest of the day.
Hour: Merges items from the file for the rest of the current hour.
Hour offset:
Allows you to start merging from a specific future hour, different from the current when the action is actually executed. For example, to merge the log items for the next hour, select 1.
Example Configuration
If you configure the following settings:
Folder: C:\MergeLogs
Date Pattern: %yyyy%-%MM%-%dd%.pipl
Merge Type: Day
Hour Offset: 0
And today’s date is 18th December 2024, the system will look for the file:
C:\MergeLogs\2024-12-18.pipl
And the content of the file contains the following entries:
00:30:00<TAB>SPOT001
00:30:00<TAB>SPOT002
00:30:00<TAB>SPOT003
01:30:00<TAB>SPOT001
01:30:00<TAB>SPOT002
01:30:00<TAB>SPOT003
...
Where the first column is the Start Time and the second column is the Track ID.
This file will then be merged into the playout log for the remainder of the day into the Merge Start/End segments with the start times defined in the merge file, e.g. 30:00.
Typical Workflow
Prepare the external log files
  • a.
    Use your external traffic software to generate log files.
  • b.
    Ensure the files are saved in a consistent location, e.g. C:\MergeLogs and follow a clear convention using a Date Pattern such as %yyyy%-%MM%-%dd%.pipl
  • c.
    Example content of the file:
    00:30:00<TAB>SPOT001
    00:30:00<TAB>SPOT002
    00:30:00<TAB>SPOT003
    01:30:00<TAB>SPOT001
    01:30:00<TAB>SPOT002
    01:30:00<TAB>SPOT003
    ...
    Each line contains a Start Time and a Content ID, separated by a tab.
    These entries specify when each external content item will play during the scheduled period.
    The PIPL format definition can be found at https://pipl.playitsoftware.com/
To determine which Merge Start/End segment will be used to insert the items, PlayIt Live selects the first Merge Start item where the Start Time is earlier than or equal to the time specified for the item in the merge log.
Set Up the Merge Action
  • a.
    Go to Manage > Scheduled Events.
  • b.
    Add a new Scheduled Event and select the trigger time.
  • c.
    Add a new action and select Merge External Log File.
  • d.
    Configure the action with the following settings:
  • i.
    Folder: C:\MergeLogs
  • ii.
    Date Pattern: %yyyy%-%MM%-%dd%.pipl
  • iii.
    Merge Type: Day to merge items for the remainder of the day.
  • iv.
    Hour Offset: 0 to begin merging immediately.
    Alternatively, you can add a Scheduled Event Action to the playout log at the position when you want the Merge Action to be executed.
    Insert Merge Start and Merge End Items
  • a.
    In your clocks, insert a Merge Start item where the external content should begin.
  • b.
    Insert a Merge End item to define where the merge segment should end.
  • c.
    These items act as markers to indicate where the merged content will be inserted
At the scheduled time, the merge log file will be read and inserted between the Merge Start and End markers.


Priority Streams

For a full explanation of the Priority Streams feature visit the Priority Streams section.

The contents of Priority Streams

Manage Priority Streams Window
Edit Priority Stream Window


Manage Priority Streams Window

Manage Priority Streams Window
For a full explanation of the Priority Streams feature visit the Priority Streams section.

Priority Stream list

1. Priority Stream list
Lists all the priority streams stored in the database. Double-click an entry to open the Edit Priority Stream Window. Click the Clone button [image] to duplicate a priority stream or the Delete button [image] to remove it from the database.
Top

Add New

2. Add New
Click the Add New button to create a new priority stream. This will open the Edit Priority Stream Window.
Top

Edit

Click the Edit button to edit the selected priority stream. This will open the Edit Priority Stream Window.
Top

OK

Save changes and close the window.
Top

Cancel

Discard changes and close the window.
Top

Apply

Save changes without closing the window.
Top


Edit Priority Stream Window

Edit Priority Stream Window
For a full explanation of the Priority Streams feature visit the Priority Streams section.

Name

The name of the priority stream. This is shown on the main interface when the stream is not Closed.
Top

Type

The type of the priority stream. Priority streams can bring in audio from a remote URL such as a streaming Icecast or SHOUTcast server or can accept direct connections from Icecast compatible clients. See here for more details.
Top

Parameters

If you have selected Live URL as the type, you can enter the Live URL to listen for incoming audio.
If you have selected Direct Stream Connection you can select the user who will need to log in and stream audio to activate this priority stream. You can create a user under Manage > Users.
Top

Priority

The open, active stream with the highest priority number will go live.
Top

Open State

5. Open State
The open state is used to determine whether PlayIt Live will check to see if a Live URL or Direct Stream is streaming audio.
In the Closed state, PlayIt Live will not check for a connected stream and this priority stream will never go live.
In the Pre-Open state, PlayIt Live will check for a connected stream but it will not go live. This can be used to ensure a stream is loaded and buffered prior to going live.
In the Open state, PlayIt Live will check for a connected stream. If the stream is connected, has valid audio and is above the silence threshold defined here it will go live.
When a priority stream goes live, it will take over any current live-assist playout as per the settings defined here.
Top

OK

Save changes and close the window.
Top

Cancel

Discard changes and close the window.
Top


Users

Users can be managed within PlayIt Live to allow different people to log in and restrict them to certain permissions. For example, an administrator can log in and have the ability to change all settings and manage all types of entities, such as tracks and clocks. Alternatively, a presenter can be restricted to just the main interface and cannot add new tracks and change audio devices in settings.

The contents of Users

Manage Users Window
Edit User


Manage Users Window

Manage Users Window
Users can be managed via Manage > Users

Require users to log in

1. Require users to log in
Tick this box to require users to log in to use PlayIt Live. Please ensure before you tick this box that you know correct usernames and passwords and how to log into the system.
Top

Users list

2. Users list
This list shows all the users in the system, including their Display Name, Username and Last Logged In time. You can delete the user using the [image] delete icon. Please note, you cannot delete the administrator user.
Top

Management controls

3. Management controls
Click Add New to add a new users.
Click Edit to edit the selected user. You can also double click the user in the list.
Click OK to save any changes and close the window.
Click Cancel to discard any changed.
Click Apply to save any changes without closing the window.
Top


Edit User

Display name

1. Display name
The real name of the user. This is displayed on the main interface to display who is currently logged in.
Top

Username

The username used by the user to log in. This must be unique and cannot be used by any other user.
Top

Password

The password used by the user to log in. The password must be at least 6 characters long. If editing a user, you can leave this blank to keep the existing password. Use the Generate button to quickly generate a new password that can be given to the user:
Tick the User must change password at next login box to require the user to change the password to something they can remember.
Note that passwords are cryptographically hashed and stored in the database. The actual password is not stored, therefore cannot be retrieved if forgotten. Please take care not to lock yourself out of the system.
Top

Permissions

This section allows you to select what features the user is allowed to do. Ticking Is Admin? will allow the user to use any feature and perform any action. Where the user does not have permission to perform a particular action that section will be disabled or hidden on the user interface.
Top

Remote Voice Tracking and Remote Studio

5. Remote Voice Tracking and Remote Studio
Use the grid to select the hours that the user should be allowed to record voice tracks in and access and broadcast using Remote Studio. Select one or multiple cells and enter Y or N for Yes or No. 'No' cells will be shown as blank. Select a weekday heading or hour heading to select the entire week or hour.
Top

Playout Log Editing

6. Playout Log Editing
You can restrict the user when remote voice tracking by allowing them to either edit the full playout log for the hours they have access to, or only allow them to record voice tracks and adjust their segues. The default can be changed via the Voice Tracking tab in settings.
Top

Disabled

Tick this box to disable the user, preventing them from logging in.
Top

OK/Cancel

Click OK to save the changes. Click Cancel to discard the changes.
Top


Tools

The contents of Tools

Missing Track File Analysis
Duplicate Track File Analysis
Track Play Count Analysis
Database Clean-up
Monitored Folders Status
Loudness Analysis
Backup and Restore
Auto Adjust
Mixdown Playout Log
Internet Broadcast
Now Playing


Missing Track File Analysis

Missing Track File Analysis
Use the Missing Track File Analysis window to find tracks that reference audio files that have been moved or deleted. This is useful if you have recently audio files to another folder and you need to update PlayIt Live to point your tracks to these new files.
To get started, click the Scan for missing track files button.
Any tracks that are found that have the audio file missing will be displayed. Click in a Resolution cell of a row to choose what to do with the track:
You can Do Nothing, Update the path to a file you can find on the file system, or Delete the track. When choosing Update path you can choose a new path by selecting a path from the New Path column. After selecting a new path, PlayIt Live will check all the other tracks to see if they have also been moved to that location. If so, it will also update these to Update path if they have not already been resolved.
You can bulk resolve rows by multiple selecting using the CTRL or SHIFT keys and clicking the Mark selected button and choosing the resolution.
Once you have selected your resolutions, click the Resolve button.
PlayIt Live will update or delete the tracks based on your resolutions.


Duplicate Track File Analysis

Duplicate Track File Analysis
Use the Duplicate Track File Analysis window to find tracks whose file path already exists in PlayIt Live. This is useful if you have added the same audio file multiple times to PlayIt Live.
To get started, click the Scan for duplicate track files button.
Any duplicate tracks that are found will be displayed. Click the Remove Duplicates button to remove the duplicate tracks.


Track Play Count Analysis

Track Play Count Analysis
Track Play Count Analysis can be used to determine the number of plays tracks have had during a date/time range. This can be useful to ensure you have the desired balance of tracks or if you are producing an air play chart show.

Date range selector

1. Date range selector
Select a start and end date to analyse the number of plays between.
Top

Analyse button

2. Analyse button
Click the Analyse button to start the analysis of previous logs to determine the number of plays for each track.
Top

Results

Once the analysis is complete, the results will be populated. The track with be displayed along with the track group it is in and the number of plays it has had during the time range. It is possible to sort by Track, Track Groups or Plays.
Top

Export to CSV button

4. Export to CSV button
Use the Export button to save the list to CSV (Comma Separated Values) format which can be viewed in Excel or Google Sheets for further analysis.
Top


Database Clean-up

The Database Clean-up window is used to remove old data such as playout log items, voice tracks and uploaded audio store files. Ophaned files refer to ones that are in the voice track recordings folder or audio store folder but are no longer referenced in tracks or voice track items in the PlayIt Live database.
Click Start Clean-up to begin the process:
You will be prompted to try a Dry Run of the clean-up so you are aware of what items will be deleted. Select Clean-up Now when you are happy for the changes to happen.


Monitored Folders Status

Monitored Folders Status

Status

This list shows all monitored folders and their current status. It shows the number of files found in the folder, how long the last scan took and what was found during the last scan.
A countdown is shown until the next scan.
Note: It is possible that the folder monitored can repeatedly report new files. This can happen if there are files that are not considered valid tracks. They will be considered 'new' for each scan as they do not exist in the database.
Top

Re-scan now

2. Re-scan now
This button can be used to force monitored folders to be scanned immediately and bypass the wait time.
Top


Loudness Analysis

PlayIt Live can analyse your tracks, calculate an offset gain and store this for each track in your database. When a track is played, this gain will be applied. This ensures each track has the same loudness when played.
The ITU-R BS.1770 algorithm is used to measure loudness. This is commonly known as LUFS normalisation.
To begin Loudness Analysis, select a Target Loudness (default -16 LUFS) and click Start Loudness Analysis.
PlayIt Live will run Loudness Analysis in the background as it processes each track. Due to the complexity of the algorithm it can take several hours to process all the tracks. This only needs to be done once. Leave PlayIt Live running so it is able to process the tracks in the background. Any new tracks that are added will be automatically processed in the background.


Backup and Restore

Backup and Restore
PlayIt Live can backup and restore your database and settings on demand or on a regular schedule.

Backup location

1. Backup location
The location where backup files are stored. Click the link to change the location of future backups.
Top

Keep up to X backups

2. Keep up to X backups
The number of backups to keep.
Top

Back Up Now

3. Back Up Now
Click the Back Up Now button to back up the database and settings immediately.
Top

Current backup status

4. Current backup status
The backup status updates while a backup is in progress.
Top

Recent backups

5. Recent backups
A list of backups in the current backups folder.
Top

Restore Selected

6. Restore Selected
Restore the selected backup in the backups list. The backup will be marked to restore when PlayIt Live next restarts. When the backup is restored, any existing data will be overwriitten and irretrievable.
Top

Restore From File

7. Restore From File
Restore a specific backup from a file. The backup will be marked to restore when PlayIt Live next restarts. When the backup is restored, any existing data will be overwriitten and irretrievable.
Top

Scheduled backups

8. Scheduled backups
You can schedule PlayIt Live to regularly backup the database and settings every specified number of days. This will happen automatically in the background when PlayIt Live is running.
Top

Close

Closes the window. Any currently running backup will run in the background.
Top
After marking a backup to restore and restarting PlayIt Live you will be prompted to restore the backup:
Type YES into the text box and click Restore to restore the backup. Any existing data will be overwritten.
Click Cancel to abort the restore and use the existing data.


Auto Adjust

The Auto Adjust feature will automatically adjust tempos and segues of items with a goal to best fit them to the next fixed time marker or the end of the hour. Adjustments will only be applied to track items with the Type "Song". You can change the Type of a track by editing it under Manage > Tracks.
When the Auto Adjust is applied, the following steps are taken:
  • •
    A target time is determined. This is the target time of the next fixed time marker, or the time of the start of the next hour (whichever arrives first).
  • •
    If there are not enough items before the target time:
  • •
    You will be prompted to Schedule more items. Items will be scheduled based on the playout pattern.
  • •
    If there are enough items:
  • •
    each item starting after the target time is soft deleted
  • •
    each Song item will have its tempo adjusted up to the maximum tempo value in settings
  • •
    for the remaining duration, each Song item will be shortened up to the maximum segue value in settings
Auto Adjust will not adjust items that have already started to play.

Settings

Top

Preview

The preview shows what the Auto Adjust feature will do when the Apply button is clicked. Click the Refresh icon to update the list.
If there are not enough items scheduled to perform an Auto Adjust you will be prompted to Schedule more items from the playout pattern.
Top

Revert

The Revert button will revert the most recent change made by Auto Adjust to pre-adjusted values. This applies to tempos, segues and fade envelopes. Any items that were soft deleted will not be restored.
Top

Apply

The Apply button applies the steps shown in the preview.
Top
Note: any custom volume envelopes set manually on items may be destroyed when Auto Adjust is applied.

Automatically applying Auto Adjust

Auto Adjust can be automatically applied in one of two ways:
Scheduled Event:
Under Manage > Scheduled Events, click Add New. Here you can run an Auto Adjust action on a schedule, for example every hour at 1 minute past the hour.
Scheduled Event Action in Clocks:
In a clock, add an item with Type Scheduled Event Action and select Auto Adjust under Settings. When the clock is scheduled into the Clock Schedule and the Playout Log is scheduled, when the item is reached the Auto Adjust action will be applied.
When the Auto Adjust Scheduled Event Action is run, more items will be scheduled into the hour in order to fulfil the Auto Adjustment, if required.


Mixdown Playout Log

Mixdown Playout Log
The Mixdown Playout Log feature allows you to mix down a portion of your playout log into a single audio file. This is useful for creating pre-recorded shows, backups, or exporting audio for other uses such as playing while updating the software or restarting the computer. You can specify the range of items to include, choose the output file format, and control additional options such as saving CUE files for track markers.

Mixdown Range

1. Mixdown Range
Use the First item and Last item fields to specify the range of items in the playout log to include in the mixdown. Click Select... to choose specific items directly from the playout log.
Top

Ignore Fixed Time Markers

2. Ignore Fixed Time Markers
Tick this option to ignore the effect of Fixed Time Markers. Any items skipped or truncated by Fixed Time Markers will be included in the mixdown.
Top

File path

3. File path
Define where the mixdown file will be saved on your computer. Use the Browse... button to select a folder and file name for the output.
Top

Format

Choose the desired format for the mixdown audio file. Options include MP3 or WAV. For MP3, select the bitrate and audio quality settings (e.g., 320Kbps, Stereo).
Top

Save CUE file to same folder

5. Save CUE file to same folder
Tick this option to save a CUE file alongside the mixdown file. A CUE file contains information about the tracks within the mixdown file, which can be read by playout systems including PlayIt Live.
Top

Open folder after mixdown

6. Open folder after mixdown
Enable this option to automatically open the folder where the mixdown file has been saved once the process is complete.
Top

Edit field

7. Edit field
Displays any important notes or warnings, such as items in the range that are unsupported by the mixdown process.
Top

Start Mixdown button

8. Start Mixdown button
Click this button to begin the mixdown process. The system will process the selected range and save the audio file in the specified location. Leave the Mixdown Playout Log window open until the mixdown process is complete.
Top


Internet Broadcast

The Internet Broadcast feature in PlayIt Live allows you to stream audio from your system to an internet streaming server including Icecast and Shoutcast.

Broadcast source

1. Broadcast source
The Broadcast Source section displays the current audio source being used for the internet broadcast. It includes a visual audio level meter that shows the output levels in real-time. The source can be changed by clicking the "Change Source..." button, which opens a window to select an alternative audio input for the broadcast.
Changing a source while broadcasting will cause the stream to disconnect and reconnect.
Top

Streams

The Streams section lists all the configured broadcast streams. Each stream displays its name, status, and details such as the elapsed streaming time and the total data sent. You can manage streams using the buttons provided:
Add Stream... to create a new broadcast stream.
Edit Stream... to modify an existing stream's configuration.
Delete Stream... to remove a selected stream.
Changing a stream while broadcasting will cause the stream to disconnect and reconnect.
Streams can be started or stopped individually by right-clicking the entry in the list.
Top

Auto start streams

3. Auto start streams
The Auto Start Streams checkbox allows you to enable or disable the automatic starting of all configured streams when the PlayIt Live is launched. When enabled, the system will begin broadcasting immediately upon startup for all enabled streams.
Top

Show status control

4. Show status control
The Show Status Control checkbox toggles the visibility of the status on the main PlayIt Live interface.
Top

Start/Stop All Streams

5. Start/Stop All Streams
The Start All Streams/Stop All Streams button start or stops all enabled streams. Streams can be started/stopped individually by right-clicking the stream in the stream list.
Top

The contents of Internet Broadcast

Edit Internet Broadcast Stream


Edit Internet Broadcast Stream

Edit Internet Broadcast Stream
The Edit Stream window is where you set up and customise your audio streaming configuration for broadcasting. It allows you to connect PlayIt Live to a streaming server, define the audio quality, and provide metadata about your station, such as its name and genre. You can also configure advanced options like archiving audio to a local file and streaming track titles.

Name

Enter the name of the stream for identification purposes in the stream list.
Top

Import/Export Settings

2. Import/Export Settings
Use this button to import or export the stream settings to or from an XML file. This feature is particularly helpful for station managers who wish to share settings with presenters to avoid errors.
Top

Server details

3. Server details
Enter details as provided by your streaming provider:
Server Type: Select the server type (e.g., Icecast, SHOUTcast v1, SHOUTcase v2).
Server Address: Input the server's hostname or IP address
Server Port: Specify the port used by the server (e.g., 8000).
Username: Provide the username for authentication (e.g., source).
Password: Enter the password associated with the username.
Mount: Define the mount point or stream path (e.g., /radio or /live).
SID: Specify the Stream ID if required (used in Shoutcast servers).
Top

Audio details

4. Audio details
Enter details as provided by your streaming provider:
Format: Choose the audio format (currently MP3)
Quality: Set the quality parameters such as bitrate and sampling rate
Top

Station details

5. Station details
Station Name: Enter the name of your station
Description: Provide a brief description of the station.
Genre: Specify the genre (e.g., "Pop", "Rock").
URL: Enter your station's website URL (e.g., https://www.example.com).
Private Stream: Check this option if you do not want the stream to appear in public directories.
Top

Audio archive

6. Audio archive
Save Audio to File: Enable this option to archive the broadcast to a file.
File Path: Specify the location and file name where the audio will be saved (e.g., C:\Recordings\output.mp3).
Split File Every: Define the interval at which new files will be created (e.g., every 60 minutes).
Top

Enable title streaming

7. Enable title streaming
Check this box to enable the streaming of track titles to listeners. The Now Playing feature must be configured with an Internet Broadcast target to "Send to all connected Internet Broadcast streams". The Now Playing feature is configured like this by default.
Top

Disabled checkbox

8. Disabled checkbox
Check this box to disable the stream temporarily without deleting its configuration. Disabled streams do not start automatically on Auto Start or when the Start all streams button is clicked.
Top

OK

Save all the settings and close the window.
Top

Cancel

Close the window without saving changes.
Top


Now Playing

The Now Playing window provides configuration options for sending track information to external targets such as streaming servers or third-party services. This allows real-time updates about currently playing tracks.

Targets

Displays the configured targets where the "Now Playing" data is sent (e.g., Internet Broadcast streams, or writing to a text file).
Add New: Opens a window to add a new target
Edit: Modifies the selected target
Delete: Removes the selected target
See Edit Now Playing Target.
Top

Defaults

Specifics the default track template, fallback template and delay used by targets. These can be override in each target if required.
Track Template: Specifies the format for sending track data, using placeholders such as {{artist}} and {{title}}. For example, {{artist}} - {{title}} will display "Artist Name - Track Title". A full set of placeholders can be found here.
Fallback Template: Provides an alternative format for cases where no eligible track is playing. To prevent a target from sending data or writing to a file, you can use the text ^IGNORE^.
Delay: Sets a delay (in seconds) before sending "Now Playing" data to targets. This is useful for aligning updates with streaming delays.
Top

Filters

Enable checkbox: Check this option to apply the Track Template only to tracks that meet specific conditions. Otherwise the Fallback Template will be used.
Description: Lists the active filters, such as limiting updates to tracks of a specific type (e.g., Song).
Add New: Create a new filter to refine which tracks send "Now Playing" data.
Edit: Modify an existing filter.
Delete: Remove a filter from the list.
When multiple filters are specified, only tracks that meet the criteria of all the filters will be eligible for sending "Now Playing" data.
See Edit Now Playing Filter.
Top

Processing Log

4. Processing Log
Displays a real-time log of actions performed by the "Now Playing" feature, including sent track information and filter evaluations.
Top

Manually Enter

5. Manually Enter
Allows you to manually specify and send "Now Playing" data if automated updates are not available, such as performing a live set. Clicking this button opens a dialog to input custom track information.
Top

Close

Closes the Now Playing window.
Top

The contents of Now Playing

Edit Now Playing Target
Edit Now Playing Filter
Now Playing Placeholders


Edit Now Playing Target

Edit Now Playing Target
The Edit Now Playing Target window allows you to configure individual targets for sending "Now Playing" information. Targets can include text files, web requests, TCP/IP streams, or Internet Broadcast connections.

Target type

1. Target type
Select the type of target where the "Now Playing" data will be sent.
Text File: Writes the information to a local text file.
HTTP Web Request: Sends the information as an HTTP POST or GET request to a URL.
TCP/IP: Transmits the information to a specified host and port.
Internet Broadcast: Sends data to connected Internet Broadcast streams.
Top

Target settings

The settings vary based on the selected target type:
Text File:
2. Target settings
File Path: Specify the location of the text file (e.g., C:\NowPlaying\nowplaying.txt).
Template: Define the format using placeholders (e.g., {{text}}). (See Now Playing Placeholders)
HTTP Web Request:
Method: Choose between GET or POST.
URL: Enter the endpoint where the request will be sent.
POST Body: Define the content for POST requests, using placeholders. (See Now Playing Placeholders)
Username and Password: Provide credentials if the endpoint requires authentication.
TCP/IP:
Host or IP Address: Specify the destination host or IP.
Port: Enter the port number for the connection.
Template: Define the data to send using placeholders (e.g., {{text}}). (See Now Playing Placeholders)
New Line Handling: Choose how new lines are added (CR LF, LF).
Text Encoding: Select the encoding format (e.g., Unicode (UTF-8)).
Internet Broadcast:
Template: Define the data format sent to connected streams. (See Now Playing Placeholders)
Top

Override defaults

3. Override defaults
Allows you to override the default settings for this specific target:
Track Template: Define a format for this target for eligible tracks.
Fallback Template: Define a format used for ineligible tracks (use ^IGNORE^ to prevent sending).
Delay: Set a custom delay in seconds before sending data.
Top

OK

Saves the target configuration and returns to the main Now Playing window.
Top

Cancel

Discards any changes and closes the window without saving.
Top


Edit Now Playing Filter

Edit Now Playing Filter
The Edit Now Playing Filter window allows you to configure filters that determine which tracks should trigger "Now Playing" updates. This ensures only relevant tracks send data to targets.
Filter Type
Select the criteria for filtering tracks. Available options:
  • a.
    Is in any of these track groups: Selects tracks that belong to any of the selected track groups.
  • b.
    Is NOT in any of these track groups: Selects tracks that do not belong to the selected track groups.
  • c.
    Is any of these types: Selects tracks based on specific types (e.g., Song, Station ID).
  • d.
    Is NOT any of these types: Selects tracks that are not of the selected types.
Track Groups/Types
Based on the selected Filter Type, this section lists:
Track Groups: Select one or more track groups relevant to the filter.
Track Types: If applicable, select one or more track types (e.g., Song, Station ID, Bed).
How to Use
Check the boxes next to the relevant track groups or types that should be included or excluded, depending on the chosen filter type.
Filters are evaluated for each track, ensuring that only tracks meeting the criteria send "Now Playing" updates.
Save and Cancel
Save: Applies the configured filter and returns to the Now Playing window.
Cancel: Discards any changes and exits the window.


Now Playing Placeholders

Placeholder | Description
{{text}} | Use the Track Template if a track is playing or the Fallback Template if no track or an ignored track is playing.
{{artist}} | The artist of the track
{{title}} | The title of the track
{{type}} | The type of the track, e.g. Song
{{path}} | The full path to the audio file
{{filepath}} | same as {{path}}
{{intro}} | The intro point in seconds
{{duration}} | The full duration in seconds
{{outcue}} | The out cue of the track
{{segue}} | The segue in seconds (the number of seconds from the end where the cue out point is set)
{{cuein}} | The cue in point in seconds
{{cueout}} | The cue out point in seconds
{{genre}} | The genre of the track
{{year}} | The year of the track
{{activeduration}} | The active duration in seconds (cue out minus cue in)
{{added}} | The date the track was added to the database
{{tags}} | The tags of the track, comma separated
{{comments}} | The comments of the track
{{isrc}} | The ISRC of the track
{{sweeper}} | Whether the track is marked as a sweeper (True/False)
{{nofade}} | Whether the track is marked as "no fade" (True/False)
{{disabled}} | Whether the track is marked as "disabled" (True/False)
{{validfrom}} | The Valid From date of the track (format: YYYY-MM-DD)
{{expires}} | The Expires date of the track (format: YYYY-MM-DD)
{{trackid}} | The Track ID of the track
{{guid}} | The internal GUID of the track
{{trackgroups}} | The track groups the track belongs to, comma-separated
{{startedUtc}} | The start time of the track in UTC (format:YYYY-MM-DDTHH:mm:ssZ)
{{startedLocal}} | The start time of the track in local time (format:YYYY-MM-DDTHH:mm:ss)
HTML encoded version of these placeholders can be used by prefix the placeholder with html- such as {{html-artist}} or {{html-title}}


Built-in Remote Access Server

The Built-in Remote Access Server is a key feature of PlayIt Live that allows remote users to manage and interact with PlayIt Live from virtually anywhere.
The Remote Access Server provides remote users with an array of functionalities:
Remote Studio
The Remote Studio feature allows users to access the studio in real-time using a Chrome-based browser. Remote users can perform the same actions as if they were using the main interface in the studio, such as starting and stopping players, dragging tracks into the playout log, and adjusting segues. They can also monitor audio in real-time and introduce their microphone into the mix. Remote Studio users can be restricted to certain times of the day when they can edit the playout log and start live audio.
Remote Management of PlayIt Live Data
Remote users can manage PlayIt Live data using a web browser. This feature allows them to access the system to make changes to the track library, clock schedules and playout log without being physically present in the studio or interrupting the on-air presenter.
Remote Voice Tracking
Remote users can record voice tracks using a Chrome-based browser or PlayIt VoiceTrack (a Windows desktop application).
PlayIt Live Control API
Control PlayIt Live programmatically using an HTTP-based API. This allows for automation and management of various PlayIt Live functions.
There are various advanced settings including changing the port number and configuring an HTTPS secure connection. PlayIt Live can also automatically update your IP address to a static .playitradio.com address.
To help you set up your computer so you can access the remote server from the internet, you can click the Help me set up external access button and follow the instructions.

The contents of Built-in Remote Access Server

Advanced Settings
Setting Up External Access
Remote Management
Remote Studio
Remote Voice Tracking
PlayIt Live Control API


Advanced Settings

If you find these settings are disabled, you must first Stop the server by clicking the Stop Server button in the top section.

Server port

1. Server port
This is the port used by the remote access server. By default, this is 25433. This should not need to be changed unless you desire a specific port number.
Top

Use HTTPS

2. Use HTTPS
With HTTPS, data between you and the connecting user will be encrypted. Without it, a "Not Secure" message will be shown on the web browser. Due to browser restrictions, HTTPS is required to use remote voice tracking in the web browser.
Technical information:
When HTTPS is enabled, an SSL certificate for the registered hostname (see below) will be generated for you by PlayIt Software and installed on your machine. A self-signed certificate will also be generated for 'localhost' to be used on the local computer.
Top

Hostname

This is the hostname that will be used to allow other users to access your remote access server with a static (and potentially memorable) address. Leave the hostname and access code boxes blank before starting the server to use a random address. You can register your own custom address using the link. Once you have registered the hostname on that page, enter the hostname and access code that is provided to you into the corresponding boxes in this section.
Note: Custom hostnames are only available to customers who have an active premium module subscription or lifetime purchase.
Top

IP address

4. IP address
This section shows the external IP address that has been detected. This address will be used to automatically map your hostname with your IP address. If your IP address changes, your hostname will remain the same. If you wish to override the detected IP address (if we have detected it incorrectly), click the Override button, enter the IP address and click Save.
Top

Status

This section shows the status of the SSL certificate registration and IP address publishing. Typically SSL certificate registration and IP address (DNS) registration takes around 10 minutes after starting the server.
Top


Setting Up External Access

Setting Up External Access
The "Help me set up external access" section provides some assistance to allow others outside your network to access your computer.
To allow external access to your computer, follow these steps:
1. Create a firewall rule: You will need to create a firewall rule to allow connections to the remote access server port. If you're using Windows Defender firewall, you can click on the "Create rule" button to automatically add this rule. However, if you're using a different firewall, such as McAfee, you will need to refer to its documentation to allow connections through the server port.
2. Set up port forwarding: If you have a home or small office network, PlayIt Live will try to set up port forwarding for you using Universal Plug and Play (uPnP). However, you may need to set up port forwarding rules manually on your network router to route incoming traffic on the remote access server port to your PlayIt Live computer. You will need to forward the TCP port, along with the name of your computer and its internal IP address, which are displayed on this window. Please note that since each router is different, specific instructions cannot be provided, but you can refer to PortForward.com, which provides instructions for many router brands.
For corporate or school networks, please speak with your IT administrator.
Once you have set up your system correctly for external access the window should look something like this:


Remote Management

The remote management web interface works the same as that of PlayIt Manager. Please follow the PlayIt Manager documentation for instructions of how to use the web interface.
Remote management web interface


Remote Studio

PlayIt Live Remote Studio in a web browser
PlayIt Live Remote Studio is a powerful, browser-based broadcasting solution that allows users to plan and present their shows remotely. This page will guide you through the process of setting up a new user, connecting to Remote Studio, and using its features.
Setting Up a User for PlayIt Live Remote Studio
To allow a user to connect to PlayIt Live Remote Studio, follow these steps:
  • 1.
    Open PlayIt Live and navigate to Manage > Users.
  • 2.
    Click Add New to create a new user.
  • 3.
    Enter the user's display name, username, and a password.
  • 4.
    If you trust the user and want them to be able to broadcast any time, you can enable the Is Admin option.
  • 5.
    Otherwise, select the hours during which the user is allowed to broadcast using Remote Studio. They can log in anytime to plan their show, but can only go live during the specified hours (with a 5-minute buffer on either side).
Note: After their allotted time, the remote user will be automatically disconnected from live audio within 5 minutes.
Enable Remote Connections
  • 1.
    On PlayIt Live, go to File > Enable remote connections...
  • 2.
    Expand Advanced, and ensure the Use HTTPS is ticked.
  • 3.
    Click Start Server
  • 4.
    Click Help me set up external access to create a firewall rule and configure port forwarding rules.
  • 5.
    At the bottom of this window you will see the address that can be used to access PlayIt Live remotely. Make a note of this address, as this is what you will give to remote presenters to plan and broadcast their show.
Note: You can visit https://www.playitsoftware.com/Account/Hostname to request your own, more memorable, playitradio.com hostname.
Accessing Remote Studio
  • 1.
    In a Chrome-based browser, visit the URL as per step 5 of the Enable Remote Connections section.
  • 2.
    Select Remote Studio
  • 3.
    Enter your Username and Password and click Log In
  • 4.
    Upon connecting to Remote Studio for the first time, you will be prompted to grant your web browser access to your microphone. You should click Allow to proceed.
Remote Studio Interface and Compatibility
The Remote Studio interface is identical to the PlayIt Live interface, but it is presented in a web browser. This makes PlayIt Live accessible to those on various operating systems, including Windows, macOS, and Linux. Remote Studio currently works only on Chrome-based browsers.
If you are familiar with PlayIt Live will not require additional training, except for learning how to use the Live Audio feature.
Going Live with Live Audio
When it's time for you to go live, you should click Start Live Audio. You will immediately hear the audio from the studio in real-time. To mute the monitored audio from the studio, click the green Speaker icon.
Live Audio Settings
You should check your audio settings to ensure your playback device, microphone device and duck duration are configured to your preference. Click the cog icon to access Live Audio Settings.
The playback device is used to play audio from the studio and other presenters. The microphone device is used to send your own audio to the studio. You must ensure that this microphone feed is isolated and contains only your voice. Avoid using a combined audio mix that includes the playback audio, as this will lead to an undesirable echo effect. The duck duration is the amount of time it will take the studio audio to attenuate when the duck button is pressed.
Live Audio
The audio levels from the studio are displayed for monitoring purposes. The row labelled "You" indicates your microphone levels. Grayscale levels mean the microphone is not live and not broadcasting.
Click Unmute to activate your microphone and go live on air. A visual indicator at the top of the screen confirms that your microphone is live. To lower the volume of the studio audio and speak over it (e.g., to introduce a song), press the Duck button. You can adjust the ducking level by sliding the duck marker on the Studio Audio slider.
If your microphone is too quiet or too loud, use the Microphone Gain slider to adjust the volume. When your microphone is live, the levels will be shown in green, orange, and red colours.
Multiple Presenters Joining Live Audio
PlayIt Live Remote Studio supports collaboration between multiple presenters during live sessions. The second presenter can connect in the same way as the first presenter. When connected, presenters can hear and talk to each other.
Presenters can use the purple Walkie-talkie icon to enable talkback functionality. This allows them to communicate with each other without the conversation being broadcast on air. Studio monitoring levels will be automatically attenuated when talkback is enabled.
When talkback is active, the audio levels will be displayed in purple as a visual reminder that talkback is enabled.
When you unmute your live microphone, the talkback feature will be automatically switched off to allow you to continue normal live broadcasting.
It is recommended that you assign a presenter who is responsible for handling control of playing tracks and ducking audio.
Ending a Live Show
Once you've completed your live show, follow these steps to disconnect from Remote Studio:
  • 1.
    Click the Stop Live Audio button to disconnect from the studio audio feed.
  • 2.
    Log out of Remote Studio by clicking the Log Out button at the top right of the page.
    Performance
    For best performance and audio quality, ensure that you have a stable and fast internet connection when using Remote Studio. We recommend an internet connection of at least 10Mbps. The live studio audio feed is a real-time feed (the latency is less than 100ms) and it is expected that you may hear the occasional dropout on unreliable connections. A wired connection is recommended over a wireless connection, if possible.


Remote Voice Tracking

Please refer to the Voice Tracking section of the documentation for setup and usage.


PlayIt Live Control API

Through the PlayIt Live Control API, you can control PlayIt Live programmatically using an HTTP-based API. This allows for automation and management of various PlayIt Live functions.
You can find full documentation on the PlayIt Live Control API here: https://www.playitsoftware.com/PlayItLiveAPIDocs


Synchronising Data

PlayIt Live data can be remotely managed and synchronised to multiple PlayIt Live instances by using the dedicated remote management server, PlayIt Manager or the built-in remote management server in PlayIt Live. PlayIt Manager can be downloaded from https://www.playitsoftware.com/Products/Manager . Details on how to use PlayIt Manager can be found on that page.
PlayIt Live can connect to a remote management server via a URL (Uniform Resource Locator). This is the base web address of your remote management server instance. For example: http://<server name goes here>:25432. For more information on how to connect to your remote management server, see the Connect PlayIt Live page on the web interface.
When PlayIt Live connects to a remote management server, it switches to using a separate 'synced' database to the normal 'local' PlayIt Live database to store the remote data. When you first connect, you may notice all your tracks 'disappear'. This happens as you will now be using the empty 'synced' database instead of the 'local' one. While PlayIt Live is connected to a remote management server it synchronises changes and applies them to the database. This process will populate the data to match the ones seen on the remote management server. When changes are made via the remote management server the same changes will immediately be applied to PlayIt Live.
When you disconnect PlayIt Live from the remote management server, it will switch back to using the normal 'local' database, and your previous local data will be displayed.
If for whatever reason you notice that data is out of sync, disconnect from the remote management server and connect again, except hold SHIFT while clicking the Connect button to clear you synced data and resync from scratch.
While connected to a remote management server it is not possible to manage PlayIt Live data directly from PlayIt Live. The only exception to this is the playout log - modifications made to the playout log via the main window will be synced to the remote management server.
When PlayIt Live instances are synced, only one machine can be the "on-air" machine. Only the "on-air" machine can play out audio and schedule items via the Log Scheduler.
When your machine is not the "on-air" machine, you can make it the "on-air" machine from options at the bottom right, if you wish. This will stop the current "on-air" machine from continuing playout and scheduling.
When tracks are playing on another machine, their status will be shown on your screen.
Voice track synchronisation
Please note that voice track recordings recorded directly within PlayIt Live are not synced via the remote management server. Use PlayIt VoiceTrack to perform remote voice tracking.
Track path substitutions
When PlayIt Live is connected to a remote management server it will be using tracks that were added to the remote management server. If the remote management server software is installed on a different machine to PlayIt Live, the track files added to that software will not be present on the PlayIt Live machine. In order to resolve this problem, track path substitutions which can be configured from the Settings page on the remote management server. These are designed to substitute parts of the file path on the server with a file path that can be accessed by the PlayIt Live machine.
For example, the audio store on PlayIt Manager is C:\ProgramData\PlayIt Manager\AudioStore. A network share can be created by going to the folder properties and creating a share via Advanced Sharing...
This will enable other machines on the network to access the audio files on the PlayIt Manager machine. On PlayIt Manager you should then add a track path substitution of:
From: C:\ProgramData\PlayIt Manager\AudioStore
To: \\SERVER\AudioStore$
When track data is synchronised to PlayIt Live, the track path substitutions will be applied when loading tracks for playout.

The contents of Synchronising Data

Connect to Remote Management Server Window


Connect to Remote Management Server Window

Connect to Remote Management Server Window

Server URL

1. Server URL
The URL (Uniform Resource Locator) to connect to. This is the base web address of the PlayIt Manager web application page. For more information, see the Connect PlayIt Live page on PlayIt Manager. Alternatively, use the Browse... link button to try and find any nearby PlayIt Manager servers.
Top

Sync Key

2. Sync Key
The secret key required to synchronise with the server. Click the Get Sync Key link to navigate to the Sync Key section on the server web interface. This key is required when connecting to servers running PlayIt Live 2.08 and PlayIt Manager 1.12 onwards.
Top

Connect button

3. Connect button
Connect to the PlayIt Manager server with the provided URL.
Top

Disconnect button

4. Disconnect button
Disconnect from the currently connected PlayIt Manager server.
Top

Server information

5. Server information
Displays helpful information indicate the state of the server connection. It will indicate when server changes are being processed by PlayIt Live.
Top

Close button

6. Close button
Closes the window.
Top


Spec Check Window

Spec Check Window
PlayIt Live is a real-time audio playout and scheduling system. As such, it requires dedicated resources to operate smoothly, otherwise you may experience skips, glitches or freezing. Please ensure your system meets the minimum, and ideally recommended, specifications defined here: https://www.playitsoftware.com/Products/Live/Specs
You can use this window found under the Help menu to automatically scan your CPU and Memory to determine if your system is compatible.
Example: System meeting minimum requirements:
Example: System not meeting minimum requirements:


About PlayIt Live

About PlayIt Live

Current Version

1. Current Version
Top

New Version Check

2. New Version Check
When a new version is available you will be notified with a link to download the latest version.
Top

Up Time

3. Up Time
Review how long the software has been running for. The time is shown in the format <days>:<hours>:<minutes>:<seconds>
Top

OK button

4. OK button
Click the OK button to close the window.
Top